import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Brtacp {
    
    @observable
    advdat=""           // \brdgrp\rec\advdat    Date of Advice of Payment 

    @observable
    disdat=""           // \brdgrp\rec\disdat    Date of Discrepancy Advice 

    @observable
    docflg=""           // \brdgrp\rec\docflg    Usance, Sight or Mixed 

    @observable
    docprbrol=""           // \brdgrp\rec\docprbrol    Presented by 

    @observable
    docsta=""           // \brdgrp\rec\docsta    Document Set Status 

    @observable
    matdat=""           // \brdgrp\rec\matdat    Maturity Date 

    @observable
    nam=""           // \brdgrp\rec\nam    Name of Bill Contract 

    @observable
    ownref=""           // \brdgrp\rec\ownref    Own Reference BR Number 

    @observable
    rcvdat=""           // \brdgrp\rec\rcvdat    Date of Receipt of Documents 

    @observable
    totamt=""           // \brdgrp\rec\totamt    Total Amount to be Paid 

    @observable
    totcur=""           // \brdgrp\rec\totcur    Currency of Total Amount to be Paid 

    @observable
    expdat=""           // \lidgrp\rec\expdat    Date of Expiry 

    @observable
    ownref1=""           // \lidgrp\rec\ownref    Reference 

    @observable
    pts_adrblk=""           // \brdgrp\acb\pts\adrblk    SWIFT地址 

    @observable
    pts_extkey=""           // \brdgrp\acb\pts\extkey    客户编号 

    @observable
    pts1_nam=""           // \brdgrp\apl\pts\nam    客户英文名称 

    @observable
    pts1_ref=""           // \brdgrp\apl\pts\ref    参考号 

    @observable
    pts2_nam=""           // \brdgrp\ben\pts\nam    客户英文名称 

    @observable
    pts2_ref=""           // \brdgrp\ben\pts\ref    参考号 

    @observable
    blk_chaadd=""           // \brdgrp\blk\chaadd    Charges Added 

    @observable
    blk_chaded=""           // \brdgrp\blk\chaded    Charges Deducted 

    @observable
    blk_docdis=""           // \brdgrp\blk\docdis    Discrepancies 

    @observable
    blk_docdisflg=""           // \brdgrp\blk\docdisflg    discrepancies modified 

    @observable
    max2_amt=""           // \brdgrp\cbs\max2\amt    Balance 

    @observable
    max_amt=""           // \brdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \brdgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \brdgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \brdgrp\cbs\opn1\cur    Currency 

    @observable
    opn2_cur=""           // \brdgrp\cbs\opn2\cur    Currency 

    @observable
    pts3_adrblk=""           // \brdgrp\prb\pts\adrblk    SWIFT地址 

    @observable
    pts3_extkey=""           // \brdgrp\prb\pts\extkey    客户编号 

    @observable
    pts3_nam=""           // \brdgrp\prb\pts\nam    客户英文名称 

    @observable
    pts3_ref=""           // \brdgrp\prb\pts\ref    参考号 

    @observable
    brtp_furide=""           // \brtp\furide    MT752: Further Indentification 

    @observable
    matp_mattxtlab=""           // \brtp\matp\mattxtlab    Label for MATTXT 

    @observable
    opn11_amt=""           // \lidgrp\cbs\opn1\amt    Balance 

    @observable
    opn11_cur=""           // \lidgrp\cbs\opn1\cur    Currency 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_condocstm=""           // \trnmod\trndoc\condocstm    Connected Documents 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_doctrestm=""           // \trnmod\trndoc\doctrestm    Document tree 

    @observable
    trndoc_shwinc=""           // \trnmod\trndoc\shwinc    Show Incoming Messages 

    @observable
    trndoc_shwout=""           // \trnmod\trndoc\shwout    Show Outgoing Messages 

    @observable
    trndoc_shwoutint=""           // \trnmod\trndoc\shwoutint    Show Internal Messages 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.advdat=""
            this.disdat=""
            this.docflg=""
            this.docprbrol=""
            this.docsta=""
            this.matdat=""
            this.nam=""
            this.ownref=""
            this.rcvdat=""
            this.totamt=""
            this.totcur=""
            this.expdat=""
            this.ownref1=""
            this.pts_adrblk=""
            this.pts_extkey=""
            this.pts1_nam=""
            this.pts1_ref=""
            this.pts2_nam=""
            this.pts2_ref=""
            this.blk_chaadd=""
            this.blk_chaded=""
            this.blk_docdis=""
            this.blk_docdisflg=""
            this.max2_amt=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.opn2_cur=""
            this.pts3_adrblk=""
            this.pts3_extkey=""
            this.pts3_nam=""
            this.pts3_ref=""
            this.brtp_furide=""
            this.matp_mattxtlab=""
            this.opn11_amt=""
            this.opn11_cur=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_condocstm=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_doctrestm=""
            this.trndoc_shwinc=""
            this.trndoc_shwout=""
            this.trndoc_shwoutint=""
    }

} 


export default Brtacp