import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Brtatt {
    
    @observable
    advdat=""           // \brdgrp\rec\advdat    Date of Advice of Payment 

    @observable
    docflg=""           // \brdgrp\rec\docflg    Usance, Sight or Mixed 

    @observable
    docsta=""           // \brdgrp\rec\docsta    Document Set Status 

    @observable
    matdat=""           // \brdgrp\rec\matdat    Maturity Date 

    @observable
    nam=""           // \brdgrp\rec\nam    Name of Bill Contract 

    @observable
    ownref=""           // \brdgrp\rec\ownref    Own Reference BR Number 

    @observable
    rcvdat=""           // \brdgrp\rec\rcvdat    Date of Receipt of Documents 

    @observable
    expdat=""           // \lidgrp\rec\expdat    Date of Expiry 

    @observable
    ownref1=""           // \lidgrp\rec\ownref    Reference 

    @observable
    pts_nam=""           // \brdgrp\apl\pts\nam    客户英文名称 

    @observable
    pts_ref=""           // \brdgrp\apl\pts\ref    参考号 

    @observable
    pts1_nam=""           // \brdgrp\ben\pts\nam    客户英文名称 

    @observable
    pts1_ref=""           // \brdgrp\ben\pts\ref    参考号 

    @observable
    max_amt=""           // \brdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \brdgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \brdgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \brdgrp\cbs\opn1\cur    Currency 

    @observable
    pts2_nam=""           // \brdgrp\prb\pts\nam    客户英文名称 

    @observable
    pts2_ref=""           // \brdgrp\prb\pts\ref    参考号 

    @observable
    matp_mattxtlab=""           // \brtp0\matp\mattxtlab    Label for MATTXT 

    @observable
    opn11_amt=""           // \lidgrp\cbs\opn1\amt    Balance 

    @observable
    opn11_cur=""           // \lidgrp\cbs\opn1\cur    Currency 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.advdat=""
            this.docflg=""
            this.docsta=""
            this.matdat=""
            this.nam=""
            this.ownref=""
            this.rcvdat=""
            this.expdat=""
            this.ownref1=""
            this.pts_nam=""
            this.pts_ref=""
            this.pts1_nam=""
            this.pts1_ref=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts2_nam=""
            this.pts2_ref=""
            this.matp_mattxtlab=""
            this.opn11_amt=""
            this.opn11_cur=""
    }

} 


export default Brtatt