import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Brtcsg {
    
    @observable
    advdat=""           // \brdgrp\rec\advdat    Date of Advice of Payment 

    @observable
    docflg=""           // \brdgrp\rec\docflg    Usance, Sight or Mixed 

    @observable
    docsta=""           // \brdgrp\rec\docsta    Document Set Status 

    @observable
    matdat=""           // \brdgrp\rec\matdat    Maturity Date 

    @observable
    nam=""           // \brdgrp\rec\nam    Name of Bill Contract 

    @observable
    ownref=""           // \brdgrp\rec\ownref    Own Reference BR Number 

    @observable
    rcvdat=""           // \brdgrp\rec\rcvdat    Date of Receipt of Documents 

    @observable
    shgref=""           // \brdgrp\rec\shgref    Shipping Guarantee Reference 

    @observable
    expdat=""           // \lidgrp\rec\expdat    Date of Expiry 

    @observable
    ownref1=""           // \lidgrp\rec\ownref    Reference 

    @observable
    pts_nam=""           // \brdgrp\apl\pts\nam    客户英文名称 

    @observable
    pts_ref=""           // \brdgrp\apl\pts\ref    参考号 

    @observable
    pts1_nam=""           // \brdgrp\ben\pts\nam    客户英文名称 

    @observable
    pts1_ref=""           // \brdgrp\ben\pts\ref    参考号 

    @observable
    max_amt=""           // \brdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \brdgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \brdgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \brdgrp\cbs\opn1\cur    Currency 

    @observable
    pts2_nam=""           // \brdgrp\prb\pts\nam    客户英文名称 

    @observable
    pts2_ref=""           // \brdgrp\prb\pts\ref    参考号 

    @observable
    matp_mattxtlab=""           // \brtp0\matp\mattxtlab    Label for MATTXT 

    @observable
    liaall_liaallg=[]           // \liaall\liaallg 

    @observable
    liaccv_chgamt=""           // \liaall\liaccv\chgamt    变动金额 

    @observable
    liaccv_concur=""           // \liaall\liaccv\concur    业务结算币种 

    @observable
    liaccv_cshpct=""           // \liaall\liaccv\cshpct    保证金应收比例 

    @observable
    liaccv_liaccvg=[]           // \liaall\liaccv\liaccvg 

    @observable
    liaccv_newamt=""           // \liaall\liaccv\newamt    业务金额 

    @observable
    liaccv_pctresamt=""           // \liaall\liaccv\pctresamt    应收/支保证金 

    @observable
    liaccv_relcshpct=""           // \liaall\liaccv\relcshpct    保证金实收比例 

    @observable
    liaccv_totcovamt=""           // \liaall\liaccv\totcovamt    保证金合计 

    @observable
    opn11_amt=""           // \lidgrp\cbs\opn1\amt    Balance 

    @observable
    opn11_cur=""           // \lidgrp\cbs\opn1\cur    Currency 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.advdat=""
            this.docflg=""
            this.docsta=""
            this.matdat=""
            this.nam=""
            this.ownref=""
            this.rcvdat=""
            this.shgref=""
            this.expdat=""
            this.ownref1=""
            this.pts_nam=""
            this.pts_ref=""
            this.pts1_nam=""
            this.pts1_ref=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts2_nam=""
            this.pts2_ref=""
            this.matp_mattxtlab=""
            this.liaall_liaallg=[]
            this.liaccv_chgamt=""
            this.liaccv_concur=""
            this.liaccv_cshpct=""
            this.liaccv_liaccvg=[]
            this.liaccv_newamt=""
            this.liaccv_pctresamt=""
            this.liaccv_relcshpct=""
            this.liaccv_totcovamt=""
            this.opn11_amt=""
            this.opn11_cur=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
    }

} 


export default Brtcsg