import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mBrtdcr from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Row, Col } from 'antd'
import Business from '@/views/Public/Business'
import Ptspta2 from '@/views/Public/Ptspta2'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class BrtdcrScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'brtdcr'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mBrtdcr()    
        this.bind = Bind.bind(this)
    }
	
	async componentWillMount() 
	{
		/*
		*添加初始化代码
		*/
		const rtnmsg = await Api.post('brtdcr/init',{data:this.model})
		if(rtnmsg.retcod == SUCCESS)
		{
           const {data} = rtnmsg
           runInAction(()=>{
                Object.assign(this.model,data)
           }) 
        }
		//快照模式下，不必开启校验，否则，静默校验，和记录变动
		!this.loadDisplay() && this.model.openMonitor && this.model.openMonitor() //开启校验	
	}
    componentWillUnmount()
    {
        this.model.stopMonitor&&this.model.stopMonitor()//关闭校验
    }

    
    //按钮事件
   
    
    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div className="transPage">
				<Business wrappedComponentRef={ref => (this.com = ref)} page={this} extra={this.props.extra} steps={this.props.steps} model={this.model} />
                    {/* 第1行 */}
					<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="Document tree" trn="brtdcr" />	
								</Col>
								<Col span={14}>
                                    <InputItem InputProps={bind("trndoc_doctrestm")}   desp="Document tree" path="/trnmod/trndoc/doctrestm" />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="Connected Documents" trn="brtdcr" />	
								</Col>
								<Col span={14}>
                                     <InputItem InputProps={bind("trndoc_condocstm")}   desp="Connected Documents" path="/trnmod/trndoc/condocstm" />
								</Col>
							</Row>
						</Col>
					</Row>
                     {/* 第2行 */}
					<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									{/* <Label itext="Show Incoming Messages" trn="brtdcr" />	 */}
                                    <Label itext="Show Inc Msg" trn="brtdcr" />	
								</Col>
								<Col span={14}>
                                     <CheckboxItem InputProps={bind("trndoc_shwinc")}  desp="Show Incoming Messages" path="/trnmod/trndoc/shwinc" />
								</Col>
							</Row>
                            <Row className="row">
								<Col span={5} offset={2}>
									{/* <Label itext="Show Internal Messages" trn="brtdcr" />	 */}
                                    <Label itext="Show Int Msg" trn="brtdcr" />	
								</Col>
								<Col span={14}>
                                    <CheckboxItem InputProps={bind("trndoc_shwoutint")}  desp="Show Internal Messages" path="/trnmod/trndoc/shwoutint" />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									{/* <Label itext="Show Outgoing Messages" trn="brtdcr" /> */}
                                    <Label itext="Show Outg Mesg" trn="brtdcr" />	
								</Col>
								<Col span={14}>
                                    <CheckboxItem InputProps={bind("trndoc_shwout")}  desp="Show Outgoing Messages" path="/trnmod/trndoc/shwout" />
								</Col>
							</Row>
						</Col>
					</Row>
               	
                    
                   
				{/* 底部按钮 */}
				<BottomBtn _this={this} />
		</div>
		)
	}
}
