import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mFcyadd from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Row, Col, Table} from 'antd';

const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class FcyaddScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'fcyadd'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mFcyadd()    
        this.bind = Bind.bind(this)
    }
	
	// async componentWillMount() 
	// {
	// 	/*
	// 	*添加初始化代码
	// 	*/
	// 	const rtnmsg = await Api.post('fcyadd/init',{data:this.model})
	// 	if(rtnmsg.retcod == SUCCESS)
	// 	{
    //        const {data} = rtnmsg
    //        runInAction(()=>{
    //             Object.assign(this.model,data)
    //        }) 
    //     }
	// 	//快照模式下，不必开启校验，否则，静默校验，和记录变动
	// 	!this.loadDisplay() && this.model.openMonitor && this.model.openMonitor() //开启校验	
	// }
    // componentWillUnmount()
    // {
    //     this.model.stopMonitor&&this.model.stopMonitor()//关闭校验
    // }
	
	//
	

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div className="transPage">
				{/* brtp/brthdr */}
				{/* 第1行 */}
				<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="操作类型" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("actiontyp")}  maxLength={16}  desp="操作类型"  />
								</Col>
							</Row>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="补录修改撤销原因代码" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("reasoncod")}  maxLength={16}  desp="补录/修改/撤销原因代码"  />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="补录/修改/撤销原因" trn="fcyadd" />	
								</Col>
								<Col span={14} >
								<TextAreaItem rows={3} InputProps={bind("reasonremark")} desp="补录/修改/撤销原因" />
								</Col>
							</Row>
						</Col>	
					</Row>
					{/* 第2行 */}
				<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="银行自身流水号" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("baksrinum")}  maxLength={16}  desp="银行自身流水号"  />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
						<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="业务类型代码" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("biztypcod")}  maxLength={16}  desp="业务类型代码"  />
								</Col>
							</Row>
						</Col>	
					</Row>
					{/* 第3行 */}
				<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="证件类型代码" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("idtypecod")}  maxLength={16}  desp="证件类型代码"  />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
						<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="证件号码" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("idcode")}  maxLength={16}  desp="证件号码"  />
								</Col>
							</Row>
						</Col>	
					</Row>
					{/* 第4行 */}
				<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="姓名" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("personnam")}  maxLength={16}  desp="姓名"  />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
						<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="补充证件号码" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("addidcode")}  maxLength={16}  desp="补充证件号码"  />
								</Col>
							</Row>
						</Col>	
					</Row>
					{/* 第5行 */}
				<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="国家/地区代码" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("ctycod")}  maxLength={16}  desp="国家/地区代码"  />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
						<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="购汇人民币账户" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("puraddcny")}  maxLength={16}  desp="购汇人民币账户"  />
								</Col>
							</Row>
						</Col>	
					</Row>
					{/* 第6行 */}
				<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="购汇资金属性代码" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("purfxtypecod")}  maxLength={16}  desp="购汇资金属性代码"  />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
						<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="个人外汇账户账户" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("lcyacctno")}  maxLength={16}  desp="个人外汇账户账户"  />
								</Col>
							</Row>
						</Col>	
					</Row>
					{/* 第7行 */}
				<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="币种" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("cur")}  maxLength={16}  desp="币种"  />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
						<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="业务办理渠道代码" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("biztxchnlcod")}  maxLength={16}  desp="业务办理渠道代码"  />
								</Col>
							</Row>
						</Col>	
					</Row>
					{/* 第8行 */}
				<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="购汇金额" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("puramt")}  maxLength={16}  desp="购汇金额"  />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
						<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="业务办理时间" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("biztxtime")}  maxLength={16}  desp="业务办理时间"  />
								</Col>
							</Row>
						</Col>	
					</Row>
					{/* 第9行 */}
				<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="购汇提钞金额" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("purcshamt")}  maxLength={16}  desp="购汇提钞金额"  />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
						<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="备注" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("remark")}  maxLength={16}  desp="备注"  />
								</Col>
							</Row>
						</Col>	
					</Row>
					{/* 第10行 */}
				<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="汇出资金金额" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("fcyremamt")}  maxLength={16}  desp="汇出资金金额"  />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
						<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="代理企业名称" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("agentcorpnam")}  maxLength={16}  desp="代理企业名称"  />
								</Col>
							</Row>
						</Col>	
					</Row>
					{/* 第11行 */}
				<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="存入个人外汇账户金额" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("fcyaccamt")}  maxLength={16}  desp="存入个人外汇账户金额"  />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
						<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="个体工商户机构代码" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("indivorgcode")}  maxLength={16}  desp="个体工商户组织机构代码"  />
								</Col>
							</Row>
						</Col>	
					</Row>
					{/* 第12行 */}
				<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="旅行支票金额" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("tchamt")}  maxLength={16}  desp="旅行支票金额"  />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
						<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="外汇局批件号" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("capitalno")}  maxLength={16}  desp="外汇局批件号"  />
								</Col>
							</Row>
						</Col>	
					</Row>
					{/* 第13行 */}
				<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="支付机构组织代码" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("payorgcod")}  maxLength={16}  desp="支付机构组织代码"  />
								</Col>
							</Row>
						</Col>
						<Col span={12}>
						<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="个体工商户名称" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("indivorgname")}  maxLength={16}  desp="个体工商户名称"  />
								</Col>
							</Row>
						</Col>	
					</Row>
					{/* 第13行 */}
				<Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="代理企业组织机构代码" trn="fcyadd" />	
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("agentcorpcod")}  maxLength={16}  desp="代理企业组织机构代码"  />
								</Col>
							</Row>
						</Col>
			
					</Row>
					
              
				
					<BottomBtn _this={this} />

	
		</div>
		)
	}
}
