import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem, BottomBtn,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps, TextAreaItem
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable, autorun } from 'mobx'
import { Row, Col, Popconfirm, Modal, Spin } from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta2 from '@/views/Public/Ptspta2'
import Business from '@/views/Public/Business'
import moment from 'moment';

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class Ddksdcreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
		this.bind = Bind.bind(this)
	}
	componentWillUnmount() {
		this.model.stopMonitor()//关闭校验
  }


	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		const { bchlevelLst } = this.props.extra
		

		if (this.props.flag == true) {
			return <Spin style={{ width: "100%", justifyContent: "center" }} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
				<Business wrappedComponentRef={ref => (this.com = ref)} page={this} extra={this.props.extra} steps={this.props.steps} model={this.model} />
				{/* 第1行 */}
				<Row>
					{/* 第1行第1列 */}
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Reference" trn="getamc" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("ownref")} maxLength={16} desp="Reference" path="/gidgrp/rec/ownref" />
							</Col>
						</Row>
					</Col>
					{/* 第1行第2列 */}
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Name" trn="getamc" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("nam")} maxLength={40} desp="Externally Displayed Name to Identify the Contract" path="/gidgrp/rec/nam" />
							</Col>
						</Row>
					</Col>
				</Row>

				{/* 第2行 */}
				<Row>
					{/* 第2行第1列 */}
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Guarantee Amount" trn="getamc" />
							</Col>
							<Col span={6}>
								<InputItem InputProps={bind("max_cur")} maxLength={3} desp="Currency" path="/gidgrp/cbs/max/cur" />
							</Col>
							<Col span={7} offset={1}>
								<InputItem InputProps={bind("max_amt")} desp="Balance" path="/gidgrp/cbs/max/amt" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Applicant" trn="getamc" />	
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("pts1_nam")} maxLength={100} desp="客户英文名称" path="/gidgrp/apl/pts/nam" />
							</Col>
						</Row>
					</Col>
					
				</Row>
				{/* 第3行 */}
				<Row>
					{/* 第3行第1列 */}
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Open Amount" trn="getamc" />
							</Col>
							<Col span={6} >
								<InputItem InputProps={bind("opn1_cur")} maxLength={3} desp="Currency" path="/gidgrp/cbs/opn1/cur" />
							</Col>
							<Col span={7} offset={1}>
								<InputItem InputProps={bind("opn1_amt")} desp="Balance" path="/gidgrp/cbs/opn1/amt" />
							</Col>
						</Row>
					</Col>
					{/* 第3行第2列 */}
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Beneficiary" trn="getamc" />	
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("pts2_nam")} maxLength={100} desp="客户英文名称" path="/gidgrp/ben/pts/nam" />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第4行 */}
				<Row>
					{/* 第4行第1列 */}
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Handling Type" trn="getamc" />
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("hndtyp")} code={CodeTable.hndtyp} desp="Handling Type" path="/gidgrp/rec/hndtyp" />
							</Col>
						</Row>
					</Col>
					{/* 第4行第2列 */}
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Accountee" trn="getamc" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("pts3_nam")} maxLength={100} desp="客户英文名称" path="/gidgrp/ctr/pts/nam" />
							</Col>
						</Row>
					</Col>
				</Row>

				{/* 第5行 */}
				<Row>
					{/* 第5行第1列 */}
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Type of Undertaking" trn="getamc" />
							</Col>
							<Col span={14} >
								<SelectItem InputProps={bind("gartyp")} code={CodeTable.typgar} desp="Type of Undertaking" path="/gidgrp/rec/gartyp" />
							</Col>
							
						</Row>
					</Col>
					{/* 第5行第2列 */}
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Issuing Bank" trn="getamc" />	
							</Col>
							<Col span={14}  >
								<InputItem InputProps={bind("pts4_nam")} maxLength={100} desp="客户英文名称" path="/gidgrp/iss/pts/nam" />
							</Col>
						</Row>
					</Col>
				</Row>

				{/* 第6行 */}
				<Row>
					{/* 第6行第1列 */}
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="expfldlab" trn="getamc" />
							</Col>
							<Col span={14}>
								<DatePickerItem InputProps={bind("expdat")} desp="Valid until" path="/gidgrp/rec/expdat" />
								{/* <Label value={this.model.gitp_expfldlab} desp="Label for Field Validity" path="/gitp/expfldlab" />
								<Label value={this.model.gitp_explab} desp="Label unlimited Validity" path="/gitp/explab" /> */}
							</Col>
						</Row>
					</Col>	
					{/* 第6行第2列 */}
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="liafldlab" trn="getamc" />	
							</Col>
							<Col span={14}>
							<DatePickerItem InputProps={bind("liadat")} desp="Liability until" path="/gidgrp/rec/liadat" />
								</Col>
						</Row>
					</Col>				
				</Row>
				
								{/* <Label value={this.model.gitp_liafldlab} desp="Label for Field Lability" path="/gitp/liafldlab" />
								<Label value={this.model.gitp_lialab} desp="Label unlimited lLability" path="/gitp/lialab" /> */}
						

				{/* 第7行 */}
				<Row>
					{/* 第7行第1列 */}
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Handling Type" trn="getamc" />	
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("hndtyp")} code={CodeTable.hndtyp} desp="Handling Type" path="/gidgrp/rec/hndtyp" />
							</Col>							
						</Row>
					</Col>
					{/* 第7行第2列 */}
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Content of TAG 79" trn="getamc" />							
							</Col>
							<Col span={14} >
								<TextAreaItem InputProps={bind("blk_contag79")} desp="Content of TAG 79" path="/gidgrp/blk/contag79"/>							
							</Col>
						</Row>
					</Col>
				</Row>
				
				{/* 第8行 */}
				 <Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Confirmation Status" trn="getamc" />							
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("cnfsta")} code={CodeTable.cnfsta}  desp="Confirmation Status" path="/gidgrp/rec/cnfsta"/>
							</Col>					
						</Row>
					</Col>	
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Confirmation Status" trn="getamc" />							
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("cnfsta")} code={CodeTable.cnfsta}  desp="Confirmation Status" path="/gidgrp/rec/cnfsta"/>
							</Col>					
						</Row>
					</Col>					
				</Row>


				{/* 第9行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Confirmation Amount" trn="getamc" />							
							</Col>
							<Col span={6}>
								<InputItem InputProps={bind("cnf_cur")}  maxLength={3}  desp="Currency" path="/gidgrp/cbs/cnf/cur" />
							</Col>
							<Col span={7} offset={1}>
								<InputItem InputProps={bind("cnf_amt")}   desp="Balance" path="/gidgrp/cbs/cnf/amt" />
							</Col>
												
						</Row>
					</Col>	
					<Col span={12}>
						<Row className="row">
						<Col span={5} offset={2}>
								<Label itext="or" trn="getamc" />							
							</Col>
							<Col span={12} >
								<InputItem InputProps={bind("partcon")}   desp="Partial Confirmation" path="/gidgrp/rec/partcon" />							
							</Col>
							<Col span={1} offset={1}>
								<Label itext="%" trn="getamc" />							
							</Col>				
						</Row>
					</Col>	
														
				</Row>

				{/* 第10行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Confir. Requested on" trn="getamc" />							
							</Col>
							<Col span={14}>
								<DatePickerItem InputProps={bind("reqdat")}  desp="Confirmation requested on" path="/reqdat" />
							</Col>					
						</Row>
					</Col>	
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Confirmed on" trn="getamc" />							
							</Col>
							<Col span={14}>
								<DatePickerItem InputProps={bind("cnfdat")}  desp="Confirmation Date" path="/gidgrp/rec/cnfdat" />
							</Col>					
						</Row>
					</Col>					
				</Row>

				
			
									
				

				{/* 底部按钮 */}
				<BottomBtn _this={this} />
			</div >
		)
	}
}
