import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page, Validator, Notification, BottomBtn,FormItem, DatePickerItem, TextAreaItem, CheckboxItem1, Checkbox,
	InputItem, Input, Bind, SelectItem, Button, Label, Image, Table} from '@/components/Common-Library'
import Api from '@/service/api'
import Business from '@/views/Public/Business'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import Ptspta2 from '@/views/Public/Ptspta2'
import { Row, Col } from 'antd'



const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class GetopnScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'getamc'}
	}
	@observable
    formBlur=false

    @observable 
    visible=false

    @observable 
    dataSource=[]

    @observable 
    datakey=''

    @observable 
    prefix=''
    

    constructor(props)
    {
        super(props)
		this.model = props.model 
        this.bind = Bind.bind(this)
    }
	
	async componentWillMount() 
	{
		/*
		*添加初始化代码
		*/
		const rtnmsg = await Api.post('getamc/init',{data:this.model})
		if(rtnmsg.retcod == SUCCESS)
		{
           const {data} = rtnmsg
           runInAction(()=>{
                Object.assign(this.model,data)
           }) 
        }
		//快照模式下，不必开启校验，否则，静默校验，和记录变动
		!this.loadDisplay() && this.model.openMonitor && this.model.openMonitor() //开启校验	
	}
    componentWillUnmount()
    {
        this.model.stopMonitor&&this.model.stopMonitor()//关闭校验
    }

    





	//
    
	onGetref = () => {
		this.formBlur = true  //已触发表单提交处理
		Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
			if (errors)
				return
			const rtnmsg = await Api.post('getamc/getref', { data: this.model })
			if (rtnmsg.retcod == SUCCESS) {
				this.model.ownref = rtnmsg.data.ownref;
			}
			else {
				Notification.error({ message: '服务端请求失败!' })
			}
			//余下逻辑处理

		})
	}

	Checkboxchange=(type,value)=>{
        console.log(value)
        if(value){
            this.model[type]='0'
        }else{
            this.model[type]='1'
        }
    }
    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div className="transPage">
				<Business wrappedComponentRef={ref => (this.com = ref)} extra={this.props.extra} model={this.model} />
				{/* 第1行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Reference" trn="getamc" />
							</Col>
							<Col span={11} >
								<InputItem InputProps={bind("ownref")}  maxLength={16}  desp="Reference" path="/gidgrp/rec/ownref" />
							</Col>
							<Col span={2} offset={1}>
								<Button type="primary" onClick={this.onGetref} desp="Get Ref." path="/mtabut/getref">
									<Label itext="获取" />
								</Button>							
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Name" trn="getamc" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("nam")} maxLength={40} desp="Externally Displayed Name to Identify the Contract" path="/gidgrp/rec/nam" />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第2行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Responsible" trn="getamc" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("usr_nam")}  maxLength={8}  desp="用户ID" path="/gitp//sysmod/usr/nam" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Reserved Contract" trn="getamc" />
							</Col>
							<Col span={14}>
								<CheckboxItem1 InputProps={bind("resflg")} desp="Reserved Contract" path="/gidgrp/rec/resflg" onChange={(value)=>this.Checkboxchange("resflg",value)} />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第3行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Guarantee Amount" trn="getamc" />
							</Col>
							<Col span={6}>
								<SelectItem InputProps={bind("max_cur")} code={CodeTable.curtxt} desp="Currency" path="/gidgrp/cbs/max/cur" />
							</Col>
							<Col span={7} offset={1}>
								<InputItem InputProps={bind("max_amt")} desp="Balance" path="/gidgrp/cbs/max/amt" />
							</Col>
						</Row>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="drprtflglab" trn="getamc" />
								<Label value={this.model.gitp_drpreflglab} desp="Label for Type of Request" path="/gitp/drpreflglab" />
							</Col>
							<Col span={14} >
								<SelectItem InputProps={bind("gitp_drpreflg")} code={CodeTable.drpreflg} desp="Type of Request" path="/gitp/drpreflg" />
							</Col>
						</Row>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Handling Type" trn="getamc" />
							</Col>
							<Col span={14} >
								<SelectItem InputProps={bind("hndtyp")} code={CodeTable.hndtyp} desp="Handling Type" path="/gidgrp/rec/hndtyp" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">			
							<Col span={5} offset={2}>
								<Label itext="Applicant  Ref." trn="getamc" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("pts1_ref")} maxLength={16} desp="参考号" path="/gidgrp/apl/pts/ref" />
							</Col>
						</Row>
						<Row className="row">
							<Col >
								<Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址",prefix: 'pts1', url: 'getamc/aplp_sel', flg: 'C', datakey: '\\gitp\\aplp\\ptslst' }} formBlur={this.formBlur}/>
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								<Label itext="Open Amount" trn="getamc" />
							</Col>
							<Col span={6} >
								<SelectItem InputProps={bind("opn1_cur")} code={CodeTable.curtxt} desp="Currency" path="/gidgrp/cbs/opn1/cur" />
							</Col>
							<Col span={7} offset={1}>
								<InputItem InputProps={bind("opn1_amt")} desp="Balance" path="/gidgrp/cbs/opn1/amt" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								<Label itext="Add. Amount" trn="getamc" />
							</Col>
							<Col span={1}>
								<CheckboxItem1 InputProps={bind("aammod_addamtflg")} desp="Add. Amount" path="/gitp/aamp/aammod/addamtflg"  onChange={(value)=>this.Checkboxchange("aammod_addamtflg",value)}/>
							</Col>
						</Row>
					</Col>
				</Row>
				
				{/* 第5行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							
							<Col span={5} offset={2}>
								<Label itext="Type of Undertaking" trn="getamc" />
							</Col>
							<Col span={14} >
								<SelectItem InputProps={bind("gartyp")} code={CodeTable.typgar} desp="Type of Undertaking" path="/gidgrp/rec/gartyp" />
							</Col>
						</Row>
						
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="境内外对手行代码" trn="getamc" />
							</Col>
							<Col span={14} >
								<InputItem InputProps={bind("oppbnk")} maxLength={12} desp="境内外对手行代码" path="/gidgrp/rec/oppbnk" />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第8行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="面函标题" trn="getamc" />
							</Col>
							<Col span={14} >
								<InputItem InputProps={bind("gitp_lettername")} maxLength={60} desp="面函标题" path="/gitp/lettername" />
							</Col>
						</Row>

					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Applicable Rules" trn="getamc" />
							</Col>
							<Col span={6} >
								<SelectItem InputProps={bind("blk_apprul")} code={CodeTable.gitapprul} desp="Applicable Rules" path="/gidgrp/blk/apprul" />
							</Col>
							<Col span={7} offset={1}>
								<InputItem InputProps={bind("blk_apprultxt")} maxLength={35} desp="Specification of Applicable Rule" path="/gidgrp/blk/apprultxt" />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第8-11行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* <Label itext="Language of Undertak." trn="getamc" /> */}
								<Label itext="LOU" trn="getamc" />
							</Col>
							<Col span={14} >
								<SelectItem InputProps={bind("giduil")} code={CodeTable.uiltxt} desp="Guarantee Language" path="/gidgrp/rec/giduil" />
							</Col>
						</Row>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Choice of Text" trn="getamc" />
							</Col>
							<Col span={14} >
								<SelectItem InputProps={bind("gtxinr")} desp="INR of Generating Text" path="/gidgrp/rec/gtxinr" />
							</Col>
						</Row>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="特殊保函类型" trn="getamc" />
							</Col>
							<Col span={14} >
								<SelectItem InputProps={bind("ghd_segtyp")} desp="特殊保函类型" path="/gidgrp/ghd/segtyp" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Adv Rcv bank     Ref." trn="getamc" />
							</Col>
							<Col span={14} >
								<InputItem InputProps={bind("pts_ref")} maxLength={16} desp="参考号" path="/gidgrp/adv/pts/ref" />
							</Col>
						</Row>
						<Row className="row">
							<Col >
								<Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址",prefix: 'pts', url: 'getamc/advp_sel', flg: 'B', datakey: '\\gitp\\advp\\ptslst' }} formBlur={this.formBlur}/>
							</Col>
						</Row>
					</Col>
				</Row>

				{/* 第12行 */}
				
				<Row>
					<Col span={12}>
						<Row className='row'>
						<Col span={5} offset={2}>
							<Label itext="是否分离式保函" trn="getamc" />
						</Col>
						<Col span={14} >
							<SelectItem InputProps={bind("fenlishi")} code={CodeTable.fenlishi} desp="是否分离式保函" path="/gidgrp/rec/fenlishi" />
						</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Order Date" trn="getamc" />
							</Col>
							<Col span={14} >
								<DatePickerItem InputProps={bind("orddat")} desp="Date of Customer's Order" path="/gidgrp/rec/orddat" />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第13-15行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Issuance Date" trn="getamc" />
							</Col>
							<Col span={14} >
								<DatePickerItem InputProps={bind("opndat")} desp="Valid from" path="/gidgrp/rec/opndat" />
							</Col>
						</Row>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Old Reference" trn="getamc" />
							</Col>
							<Col span={14} >
								<InputItem InputProps={bind("oldref")} maxLength={16} desp="Old Reference" path="/gidgrp/rec/oldref" />
							</Col>
						</Row>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="保函生效日" trn="getamc" />
							</Col>
							<Col span={14} >
								<DatePickerItem InputProps={bind("inudat")} desp="Inure Date" path="/gidgrp/rec/inudat" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="Beneficiary  Ref." trn="getamc" />
								</Col>
								<Col span={14} >
									<InputItem InputProps={bind("pts2_ref")} maxLength={16} desp="参考号" path="/gidgrp/ben/pts/ref" />
								</Col>
							</Row>
							<Row className="row">
								<Col >
									<Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址",prefix: 'pts2', url: 'getamc/benp_sel', flg: 'C', datakey: '\\gitp\\benp\\ptslst' }} formBlur={this.formBlur}/>
								</Col>
							</Row>
						
					</Col> 
				</Row>
				{/* 第16行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Validity until" trn="getamc" />
							</Col>
							<Col span={12} >
								<DatePickerItem InputProps={bind("expdat")} desp="Valid until" path="/gidgrp/rec/expdat" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Unlimited Guarantee" trn="getamc" />
							</Col>
							<Col span={1}  >
								<CheckboxItem1 InputProps={bind("expflg")}  desp="Unlimited Guarantee" path="/gidgrp/rec/expflg" onChange={(value)=>this.Checkboxchange("expflg",value)}/>
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第17行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Our Liability until" trn="getamc" />
							</Col>
							<Col span={14} >
								<DatePickerItem InputProps={bind("liadat")} desp="Liability until" path="/gidgrp/rec/liadat" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Unlimited Liability" trn="getamc" />
							</Col>
							<Col span={1} >
								<CheckboxItem1 InputProps={bind("liaflg")} desp="Unlimited Liability" path="/gidgrp/rec/liaflg" onChange={(value)=>this.Checkboxchange("liaflg",value)}/>
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第18行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Mortgage Flag" trn="getamc" />
							</Col>
							<Col span={14} >
								<SelectItem InputProps={bind("guaflg")} code={CodeTable.guaflg} desp="Mortgage Flag" path="/gidgrp/rec/guaflg" />
							</Col>
							
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Test Key Unconfirmity" trn="getamc" />
							</Col>
							<Col span={1} >
								<CheckboxItem1 InputProps={bind("teskeyunc")} desp="Test Key Unconfirmity" path="/gidgrp/rec/teskeyunc" onChange={(value)=>this.Checkboxchange("teskeyunc",value)}/>
							</Col>
						</Row>
					</Col>
				</Row>
				
				{/* 第19行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="是否对外担保" trn="getamc" />	
							</Col>
							<Col span={14} >
								<SelectItem InputProps={bind("fingua")} code={CodeTable.fingua}  desp="是否对外担保" path="/gidgrp/rec/fingua"/>
							</Col>
						</Row>

					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="担保类型" trn="getamc" />	
							</Col>
							<Col span={12} >
								<InputItem InputProps={bind("cfaguatyp")}  maxLength={4}  desp="对外担保类型" path="/gidgrp/rec/cfaguatyp" />
							</Col>
							<Col span={1} offset={1}>
								<CheckboxItem1 InputProps={bind("cmtflg")}  desp="跨境人民币保函" path="/gidgrp/rec/cmtflg" onChange={(value)=>this.Checkboxchange("cmtflg",value)}/>
							</Col>
						</Row>
					</Col>
				</Row>
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
									  <Label itext="Text of Undertaking" trn="getamc" />	
			    			</Col>
							<Col span={14} >
							<TextAreaItem InputProps={bind("blk_gidtxt")} desp="Guarantee Text" path="/gidgrp/blk/gidtxt"/>
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
				  					<Label itext="Modify Guarantee Text" trn="getamc" />
			    			</Col>
							<Col span={1} >
								<CheckboxItem1 InputProps={bind("gitp_gidtxtmodflg")}  desp="Modify Guarantee Text" path="/gitp/gidtxtmodflg" onChange={(value)=>this.Checkboxchange("gitp_gidtxtmodflg",value)}/>
							</Col>
						</Row>
					</Col>
					</Row>
				<BottomBtn _this={this} />
	
		</div>
		)
	}
}
