import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, Table, TextArea, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import mGetamc from '../model'
import CodeTableFactory from '@/components/CodeTable'

import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable, runInAction } from 'mobx'

import Basic from './Basic'
import FuJia from './FuJia'
import FuJia1 from './FuJia1'

import Fee from '@/views/Public/Fee'
import Gle from '@/views/Public/Gle'
import Papper from '@/views/Public/Papper'
import Engp from '@/views/Public/Engp'

import { Card } from 'antd'


const CodeTable = CodeTableFactory.getInstance()
const StepItem = Steps.Item

@inject('UserContext')
@inject('i18n')
@observer
export default class GetamcScreen extends Page{
    
    @observable
	formBlur = false

	@observable
	extra = { inifrm: 'getamc', getinr: '', bchlevelLst: [] }



	constructor(props) {
		super(props)
		this.state = {
			flag: true
		}
		this.model = new mGetamc()
	}
	
	async componentWillMount() 
	{
		/*
		*添加初始化代码
		*/
		let didinr = '';
		
		if (this.props.location.query) {
			if(this.props.location.query.from=="getsel"){
				this.extra.getinr=this.props.location.query.getinr;
			  }else{
				didinr=this.props.location.query.didinr;
			  }
			}
			const rtnmsg = await Api.post(this.extra.inifrm + '/init', { params: { getinr:this.extra.getinr,didinr } })
		
		if (rtnmsg.retcod == SUCCESS) {
			
			this.extra.bchlevelLst = rtnmsg.codetable.ownbch;
			this.extra.bopmod_szflg = rtnmsg.codetable.bopmod_szflg;
			Object.assign(this.model, rtnmsg.data)
			this.model.max_cur = 'CNY'
			this.model.concur = 'CNY'
      this.model.nom1_cur= 'CNY'
			this.setState({ flag: false })
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
		}

		//快照模式下，不必开启校验，否则，静默校验，和记录变动
		!this.loadDisplay() && this.model.openMonitor() //开启校验	
	}

	componentWillUnmount() {
		this.model.stopMonitor()//关闭校验
  }
	
	renderPage(){
		return(
			<Card title="出口保函保兑" size="small" className="transTitle">
				<Steps>
					<StepItem title="明细">
						<Basic model={this.model} extra={this.extra} flag={this.state.flag}/>
					</StepItem>

					<StepItem title="附加">
						<FuJia model={this.model} extra={this.extra} flag={this.state.flag} />
					</StepItem>
					<StepItem title="附加1">
						<FuJia1 model={this.model} extra={this.extra} flag={this.state.flag} />
					</StepItem>
					
					<StepItem title="表外&保证金">
						<Engp model={this.model} extra={this.extra} />
					</StepItem>
					<StepItem title="费用&账务">
						<Fee model={this.model} extra={this.extra} />
					</StepItem>
					<StepItem title="会计分录">
						<Gle model={this.model} extra={this.extra} />
					</StepItem>

					<StepItem title="面函">
						<Papper model={this.model} extra={this.extra} />
					</StepItem>

					

				</Steps>
			</Card>
		)
	}

}
