import React, { Component, Fragment } from 'react'
import PropTypes from 'prop-types'
import {
    Page, Validator, Notification, FormItem, DatePickerItem , TextAreaItem, CheckboxItem1, Checkbox,
    InputItem  , Input, Bind, SelectItem , Button, Label, Image, Table, BottomBtn
} from '@/components/Common-Library'
import Api from '@/service/api'
import mGetame from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { Row, Col } from 'antd'
import { action, observable, runInAction } from 'mobx'
import Business from '@/views/Public/Business'
import Ptspta2 from '@/views/Public/Ptspta2'

const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class GetameScreen extends Page {
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext() {
        return { trn: 'getame' }
    }


    @observable
    formBlur = false

    constructor(props) {
        super(props)
        this.model = props.model
        this.bind = Bind.bind(this)
    }



    //按钮事件



    //第一行
    onGetref = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
            if (errors)
                return
            const rtnmsg = await Api.post('getame/getref', { data: this.model })
            if (rtnmsg.retcod == SUCCESS) {
				this.model.ownref = rtnmsg.data.ownref;

            }
            else {
                Notification.error({ message: '服务端请求失败!' })
            }
            //余下逻辑处理

        })
	}
	Checkboxchange=(type,value)=>{
        console.log(value)
        if(value){
            this.model[type]='0'
        }else{
            this.model[type]='1'
        }
    }
    
    //交易内实现
    renderPage() {
        const bind = this.bind
        const { i18n } = this.props
        const { bchlevelLst } = this.props.extra
        //const {next,pre} = this.props.steps
        if (this.props.flag == true) {
            return <Spin style={{ width: "100%", justifyContent: "center" }} spinning={this.props.flag} />
        }

        return (
            <div style={{ position: "relative" }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} extra={this.props.extra} model={this.model} />
                    <Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Reference" trn="getame" />
							</Col>
							<Col span={11} >
                                <InputItem disabled={true}  InputProps={bind("ownref")} maxLength={16} desp="Reference" path="/gidgrp/rec/ownref" />
							</Col>
							<Col span={2} offset={1}>
                                <Button type="primary" onClick={this.onGetref} desp="Get Ref." path="/mtabut/getref">
                                    <Label itext="获取" />
                                </Button>							
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Name" trn="getame" />
							</Col>
							<Col span={14}>
                                <InputItem disabled={true}  InputProps={bind("nam")} maxLength={40} desp="Externally Displayed Name to Identify the Contract" path="/gidgrp/rec/nam" />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第2行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Responsible User" trn="getame" />
							</Col>
							<Col span={14}>
                                <InputItem disabled={true}  InputProps={bind("usr_nam")} maxLength={8} desp="用户ID" path="/gitp//sysmod/usr/nam" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Reserved Contract" trn="getame" />
							</Col>
							<Col span={14}>
                                <CheckboxItem1 onChange={(value)=>this.Checkboxchange("resflg",value)} InputProps={bind("resflg")} desp="Reserved Contract" path="/gidgrp/rec/resflg" />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第3行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Guarantee Amount" trn="getame" />
							</Col>
							<Col span={6}>
                                <SelectItem disabled={true} InputProps={bind("max_cur")} code={CodeTable.curtxt} desp="Currency" path="/gidgrp/cbs/max/cur" />
							</Col>
							<Col span={7} offset={1}>
                                <InputItem disabled={true}  InputProps={bind("max_amt")} desp="Balance" path="/gidgrp/cbs/max/amt" />
							</Col>
						</Row>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="drprtflglab" trn="getopn" />
                                <Label value={this.model.gitp_drpreflglab} desp="Label for Type of Request" path="/gitp/drpreflglab" />
							</Col>
							<Col span={14} >
                                <SelectItem disabled={true} InputProps={bind("gitp_drpreflg")} code={CodeTable.drpreflg} desp="Type of Request" path="/gitp/drpreflg" />
							</Col>
						</Row>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Handling Type" trn="getame" />
							</Col>
							<Col span={14} >
                                <SelectItem disabled={true} InputProps={bind("hndtyp")} code={CodeTable.hndtyp} desp="Handling Type" path="/gidgrp/rec/hndtyp" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">			
							<Col span={5} offset={2}>
                                <Label itext="Applicant  Ref." trn="getame" />
							</Col>
							<Col span={14}>
                                <InputItem disabled={true}  InputProps={bind("pts1_ref")} maxLength={16} desp="参考号" path="/gidgrp/apl/pts/ref" />
							</Col>
						</Row>
						<Row className="row">
							<Col >
								<Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址",prefix: 'pts1', url: 'getame/aplp_sel', flg: 'C', datakey: '\\gitp\\aplp\\ptslst' }} formBlur={this.formBlur}/>
							</Col>
							
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
                                <Label itext="Open Amount" trn="getame" />
							</Col>
							<Col span={6} >
                                <SelectItem disabled={true} InputProps={bind("opn1_cur")} code={CodeTable.curtxt} desp="Currency" path="/gidgrp/cbs/opn1/cur" />
							</Col>
							<Col span={7} offset={1}>
                                <InputItem disabled={true}  InputProps={bind("opn1_amt")} desp="Balance" path="/gidgrp/cbs/opn1/amt" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								<Label itext="Add. Amount" trn="getame" />
							</Col>
							<Col span={1}>
                                <CheckboxItem1 onChange={(value)=>this.Checkboxchange("aammod_addamtflg",value)} InputProps={bind("aammod_addamtflg")} desp="Add. Amount" path="/gitp/aamp/aammod/addamtflg" />
							</Col>
						</Row>
					</Col>
				</Row>
				
				{/* 第5行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							
							<Col span={5} offset={2}>
                                <Label itext="Type of Undertaking" trn="getame" />
							</Col>
							<Col span={14} >
                                <SelectItem disabled={true} InputProps={bind("gartyp")} code={CodeTable.typgar} desp="Type of Undertaking" path="/gidgrp/rec/gartyp" />
							</Col>
						</Row>
						
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="境内外对手行代码" trn="getame" />
							</Col>
							<Col span={14} >
                                <InputItem disabled={true}  InputProps={bind("oppbnk")} maxLength={12} desp="境内外对手行代码" path="/gidgrp/rec/oppbnk" />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第8行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="面函标题" trn="getame" />
							</Col>
							<Col span={14} >
                                <InputItem disabled={true}  InputProps={bind("gitp_lettername")} maxLength={60} desp="面函标题" path="/gitp/lettername" />
							</Col>
						</Row>

					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Applicable Rules" trn="getame" />
							</Col>
							<Col span={6} >
                                <SelectItem disabled={true} InputProps={bind("blk_apprul")} code={CodeTable.gitapprul} desp="Applicable Rules" path="/gidgrp/blk/apprul" />
							</Col>
							<Col span={7} offset={1}>
                                <InputItem disabled={true}  InputProps={bind("blk_apprultxt")} maxLength={35} desp="Specification of Applicable Rule" path="/gidgrp/blk/apprultxt" />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第8-11行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Language of Undertak." trn="getame" />
							</Col>
							<Col span={14} >
                                <SelectItem disabled={true} InputProps={bind("giduil")} code={CodeTable.uiltxt} desp="Guarantee Language" path="/gidgrp/rec/giduil" />
							</Col>
						</Row>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Choice of Text" trn="getame" />
							</Col>
							<Col span={14} >
                                <SelectItem disabled={true} InputProps={bind("gtxinr")} desp="INR of Generating Text" path="/gidgrp/rec/gtxinr" />
							</Col>
						</Row>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="特殊保函类型" trn="getame" />
							</Col>
							<Col span={14} >
                                <SelectItem disabled={true} InputProps={bind("ghd_segtyp")} desp="特殊保函类型" path="/gidgrp/ghd/segtyp" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Adv\Rcv bank     Ref." trn="getame" />
							</Col>
							<Col span={14} >
                                <InputItem disabled={true}  InputProps={bind("pts_ref")} maxLength={16} desp="参考号" path="/gidgrp/adv/pts/ref" />
							</Col>
						</Row>
						<Row className="row">
							<Col >
								<Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址",prefix: 'pts', url: 'getame/advp_sel', flg: 'B', datakey: '\\gitp\\advp\\ptslst' }} formBlur={this.formBlur}/>
							</Col>
							
						</Row>
					</Col>
				</Row>

				{/* 第12行 */}
				
				<Row>
					<Col span={12}>
						<Row className='row'>
						<Col span={5} offset={2}>
                                <Label itext="是否分离式保函" trn="getame" />
						</Col>
						<Col span={14} >
                                <SelectItem disabled={true} InputProps={bind("fenlishi")} code={CodeTable.fenlishi} desp="是否分离式保函" path="/gidgrp/rec/fenlishi" />
						</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Order Date" trn="getame" />
							</Col>
							<Col span={14} >
                                <DatePickerItem disabled={true} InputProps={bind("orddat")} desp="Date of Customer's Order" path="/gidgrp/rec/orddat" />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第13-15行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Issuance Date" trn="getame" />
							</Col>
							<Col span={14} >
                                <DatePickerItem disabled={true} InputProps={bind("opndat")} desp="Valid from" path="/gidgrp/rec/opndat" />
							</Col>
						</Row>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Old Reference" trn="getame" />
							</Col>
							<Col span={14} >
                                <InputItem disabled={true}  InputProps={bind("oldref")} maxLength={16} desp="Old Reference" path="/gidgrp/rec/oldref" />
							</Col>
						</Row>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="保函生效日" trn="getame" />
							</Col>
							<Col span={14} >
                                <DatePickerItem disabled={true} InputProps={bind("inudat")} desp="Inure Date" path="/gidgrp/rec/inudat" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
                                     <Label itext="Beneficiary  Ref." trn="getame" />
								</Col>
								<Col span={14} >
                                     <InputItem disabled={true}  InputProps={bind("pts2_ref")} maxLength={16} desp="参考号" path="/gidgrp/ben/pts/ref" />
								</Col>
							</Row>
							<Row className="row">
								<Col >
									<Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址",prefix: 'pts2', url: 'getame/benp_sel', flg: 'C', datakey: '\\gitp\\benp\\ptslst' }} formBlur={this.formBlur}/>
								</Col>
								
							</Row>
						
					</Col>
				</Row>
				{/* 第16行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Validity until" trn="getame" />
							</Col>
							<Col span={12} >
                                <DatePickerItem disabled={true} InputProps={bind("expdat")} desp="Valid until" path="/gidgrp/rec/expdat" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Unlimited Guarantee" trn="getame" />
							</Col>
							<Col span={1}  >
                                <CheckboxItem1 onChange={(value)=>this.Checkboxchange("expflg",value)} InputProps={bind("expflg")} desp="Unlimited Guarantee" path="/gidgrp/rec/expflg" />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第17行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Our Liability until" trn="getame" />
							</Col>
							<Col span={14} >
                                <DatePickerItem disabled={true} InputProps={bind("liadat")} desp="Liability until" path="/gidgrp/rec/liadat" />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Unlimited Liability" trn="getame" />
							</Col>
							<Col span={1} >
                                <CheckboxItem1 onChange={(value)=>this.Checkboxchange("liaflg",value)} InputProps={bind("liaflg")} desp="Unlimited Liability" path="/gidgrp/rec/liaflg" />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第18行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="Mortgage Flag" trn="getame" />
							</Col>
							<Col span={14} >
                                <SelectItem disabled={true} InputProps={bind("guaflg")} code={CodeTable.guaflg} desp="Mortgage Flag" path="/gidgrp/rec/guaflg" />
							</Col>
							
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Test Key Unconfirmity" trn="getame" />
							</Col>
							<Col span={1} >
                                <CheckboxItem1 onChange={(value)=>this.Checkboxchange("teskeyunc",value)} InputProps={bind("teskeyunc")} desp="Test Key Unconfirmity" path="/gidgrp/rec/teskeyunc" />							
							</Col>
						</Row>
					</Col>
				</Row>
				
				{/* 第19行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="是否对外担保" trn="getame" />
							</Col>
							<Col span={14} >
                                <SelectItem disabled={true} InputProps={bind("fingua")} code={CodeTable.fingua} desp="是否对外担保" path="/gidgrp/rec/fingua" />
							</Col>
						</Row>

					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                                <Label itext="担保类型" trn="getame" />
							</Col>
							<Col span={12} >
                                <InputItem disabled={true}  InputProps={bind("cfaguatyp")} maxLength={4} desp="对外担保类型" path="/gidgrp/rec/cfaguatyp" />
							</Col>
							<Col span={1} offset={1}>
                                <CheckboxItem1 onChange={(value)=>this.Checkboxchange("cmtflg",value)} InputProps={bind("cmtflg")} desp="跨境人民币保函" path="/gidgrp/rec/cmtflg" />
							</Col>
						</Row>
					</Col>
				</Row>
                

              
                {/* 底部按钮 */}
                <BottomBtn _this={this} />

            </div>
        )
    }
}
