import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Getcan {
    
    @observable
    expdat=""           // \gidgrp\rec\expdat    Valid until 

    @observable
    gartyp=""           // \gidgrp\rec\gartyp    Type of Undertaking 

    @observable
    hndtyp=""           // \gidgrp\rec\hndtyp    Handling Type 

    @observable
    liadat=""           // \gidgrp\rec\liadat    Liability until 

    @observable
    nam=""           // \gidgrp\rec\nam    Externally Displayed Name to Identify the Contract 

    @observable
    ownref=""           // \gidgrp\rec\ownref    Reference 

    @observable
    purcan=""           // \gidgrp\rec\purcan    Reason of Cancelation 

    @observable
    autflg=""           // \autflg    Authentication 

    @observable
    pts_nam=""           // \gidgrp\adv\pts\nam    客户英文名称 

    @observable
    pts1_nam=""           // \gidgrp\apl\pts\nam    客户英文名称 

    @observable
    pts2_nam=""           // \gidgrp\ben\pts\nam    客户英文名称 

    @observable
    max_amt=""           // \gidgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \gidgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \gidgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \gidgrp\cbs\opn1\cur    Currency 

    @observable
    pts3_nam=""           // \gidgrp\iss\pts\nam    客户英文名称 

    @observable
    gitp0_aplmullab=""           // \gitp0\aplmullab    Label, that is set, if there are multiple applicants 

    @observable
    gitp0_expfldlab=""           // \gitp0\expfldlab    Label for Field Validity 

    @observable
    gitp0_liafldlab=""           // \gitp0\liafldlab    Label for Field Lability 

    @observable
    mtabut_clsflg=""           // \mtabut\clsflg    Close Flag 

    @observable
    newref=""           // \newref    New Reference 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.expdat=""
            this.gartyp=""
            this.hndtyp=""
            this.liadat=""
            this.nam=""
            this.ownref=""
            this.purcan=""
            this.autflg=""
            this.pts_nam=""
            this.pts1_nam=""
            this.pts2_nam=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts3_nam=""
            this.gitp0_aplmullab=""
            this.gitp0_expfldlab=""
            this.gitp0_liafldlab=""
            this.mtabut_clsflg=""
            this.newref=""
    }

} 


export default Getcan