import React, { Component, Fragment } from 'react'
import {
    Page, Validator, Notification, FormItem, BottomBtn, TextAreaItem, CheckboxItem,
    InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, Table, TextArea, ConfirmButton, Steps, AmountLabel
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal } from 'antd';
import { ButtonModal, ModalTest } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Business from '@/views/Public/Business'
import Ptspta2 from '@/views/Public/Ptspta2'

const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm
const { Pre, Next, StepWrapper } = Steps

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class CommonMessagesScreen extends Page {
    @observable
    formBlur = false

    constructor(props) {
        super(props)
        this.model = props.model
        this.bind = Bind.bind(this)
    }

    async componentWillMount() {

    }

    componentWillUnmount() {
        //	this.model.closeValidate()//关闭校验
    }

    onTabFocus = async () => {
        this.com.wrappedInstance.wrappedInstance.onRebook();
    }

    //交易内实现
    renderPage() {
        const bind = this.bind
        const { i18n } = this.props

        return (
            <div style={{ position: 'relative' }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} steps={this.props.steps} extra={this.props.extra} model={this.model} />
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Reference" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("ownref")} maxLength={16} desp="Reference" path="/gidgrp/rec/ownref" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Name" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("nam")} maxLength={40} desp="Externally Displayed Name to Identify the Contract" path="/gidgrp/rec/nam" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Guarantee Amount" trn="getfre" />
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("max_cur")} maxLength={3} desp="Currency" path="/gidgrp/cbs/max/cur" />
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("max_amt")} desp="Balance" path="/gidgrp/cbs/max/amt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Applicant" trn="getfre" />
                            </Col>
                            <Col span={14} >
                                <InputItem InputProps={bind("pts3_nam")} maxLength={100} desp="客户英文名称" path="/gidgrp/apl/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Open Amount" trn="getfre" />
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("opn1_cur")} maxLength={3} desp="Currency" path="/gidgrp/cbs/opn1/cur" />
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("opn1_amt")} desp="Balance" path="/gidgrp/cbs/opn1/amt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Handling Type" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("hndtyp")} code={CodeTable.hndtyp} desp="Handling Type" path="/gidgrp/rec/hndtyp" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Beneficiary" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts4_nam")} maxLength={100} desp="客户英文名称" path="/gidgrp/ben/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Type of Undertaking" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("gartyp")} code={CodeTable.typgar} desp="Type of Undertaking" path="/gidgrp/rec/gartyp" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Adv\Rcv Bank" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts2_nam")} maxLength={100} desp="客户英文名称" path="/gidgrp/adv/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="expdat" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("expdat")} desp="Valid until" path="/gidgrp/rec/expdat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Issuing Bank" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts5_nam")} maxLength={100} desp="客户英文名称" path="/gidgrp/iss/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="liadat" trn="getfre" />
                            </Col>                          
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("liadat")} desp="Liability until" path="/gidgrp/rec/liadat" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="发报类型" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_sndmt")} code={CodeTable.sndmt} desp="message to be created" path="/fremsg/sndmt" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="报文类型" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_fulmt")} code={CodeTable.fulmt} desp="MT to Send" path="/fremsg/fulmt" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="标题" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("fremsg_prttitle")} maxLength={35} desp="Document Title" path="/fremsg/prttitle" />
                            </Col>
                        </Row>
                        
                   
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="收报行" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_msgrol")} code={CodeTable.rolall} desp="Role Message" path="/fremsg/msgrol" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col >
								<Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址",prefix: 'pts1', url: 'getfre/fmop_sel', flg: 'C', datakey: '\\gitp\\fmop\\ptslst' }} formBlur={this.formBlur}/>
							</Col>
                        </Row>
                    </Col>
                </Row>
                    
                    
                    
                <Row>
                    <Col span={12}>
                         <Row className="row">
                            <Col span={5} offset={2}>
                                    <Label itext="fremsg" trn="getfre" />
                                </Col>
                                <Col span={6}>
                                    <DatePickerItem InputProps={bind("fremsg_reldat")} desp="from" path="/fremsg/reldat" />
                                </Col>
                                <Col span={7} offset={1}>
                                    <SelectItem InputProps={bind("fremsg_reldir")} code={CodeTable.reldir} desp="relevant message sent/received" path="/fremsg/reldir" />
                                </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                    <Label itext="flg for gitfre" trn="getfre" />
                                </Col>
                            <Col span={14} >
                                <CheckboxItem InputProps={bind("fremsg_flg")} desp="flg for gitfre" path="/fremsg/flg" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                    <Label itext="tag 20 Ref" trn="getfre" />
                                </Col>
                            <Col span={14} >
                            <InputItem InputProps={bind("fremsg_tag20ref")} maxLength={16} desp="tag 20 Ref" path="/fremsg/tag20ref" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                    <Label itext="Narrative" trn="getfre" />
                                </Col>
                            <Col span={14} >
                                 <TextAreaItem InputProps={bind("fremsg_strinf")} desp="Narrative" path="/fremsg/strinf" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="相关报文" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_relmt")} code={CodeTable.relmt} desp="related MT" path="/fremsg/relmt" />
                            </Col>
                        </Row>
                         <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="副本的收报行" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_ccrol")} code={CodeTable.rolall} desp="Role Copy" path="/fremsg/ccrol" />
                            </Col>
                        </Row>
                        <Row className='row'>
                            <Col >
								<Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址",prefix: 'pts', url: 'getfre/fmcp_sel', flg: 'C', datakey: '\\gitp\\fmcp\\ptslst' }} formBlur={this.formBlur}/>
							</Col>
                        </Row>
                        
                    </Col>
        
                 </Row>
            
                <BottomBtn _this={this} />
            </div >
        )
    }
}
