import React, { Component, Fragment } from 'react'
import {
    Page, Validator, Notification, FormItem, BottomBtn, TextAreaItem, CheckboxItem,
    InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, Table, TextArea, ConfirmButton, Steps, AmountLabel
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal } from 'antd';
import { ButtonModal, ModalTest } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Business from '@/views/Public/Business'

const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm
const { Pre, Next, StepWrapper } = Steps

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class AttachmentsScreen extends Page {
    @observable
    formBlur = false

    constructor(props) {
        super(props)
        this.model = props.model
        this.bind = Bind.bind(this)
    }

    async componentWillMount() {

    }

    componentWillUnmount() {
        //	this.model.closeValidate()//关闭校验
    }

    onTabFocus = async () => {
        this.com.wrappedInstance.wrappedInstance.onRebook();
    }

    //交易内实现
    renderPage() {
        const bind = this.bind
        const { i18n } = this.props

        return (
            <div style={{ position: 'relative' }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} steps={this.props.steps} extra={this.props.extra} model={this.model} />
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Document tree" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <InputItem style={{ height: "60px", display: "inline-block" }} InputProps={bind("trndoc_doctrestm")} desp="Document tree" path="/trnmod/trndoc/doctrestm" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* <Label itext="Show Incoming Messages" trn="getfre" /> */}
                                <Label itext="S Icm Msg" trn="getfre" />
                            </Col>
                            <Col span={14}>
                            <CheckboxItem InputProps={bind("trndoc_shwinc")} desp="Show Incoming Messages" path="/trnmod/trndoc/shwinc" />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Connected Documents" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("trndoc_condocstm")}   desp="Connected Documents" path="/trnmod/trndoc/condocstm" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* <Label itext="Show Internal Messages" trn="getfre" /> */}
                                <Label itext="S Itl Msg" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("trndoc_shwoutint")}  desp="Show Internal Messages" path="/trnmod/trndoc/shwoutint" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* <Label itext="Show Outgoing Messages" trn="getfre" /> */}
                                <Label itext="S Otg Msg" trn="getfre" />
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("trndoc_shwout")}  desp="Show Outgoing Messages" path="/trnmod/trndoc/shwout" />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                    
                       
                          
                          
                            
              
                
              

                <BottomBtn _this={this} />
            </div >
        )
    }
}
