import React, { Component, Fragment } from 'react'
import {
    Page, Validator, Notification, FormItem, DatePickerItem, TextAreaItem, CheckboxItem, Checkbox,
    InputItem, Input, Bind, SelectItem, Button, Label, Image, Table, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import mGetset from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'


import { Card } from 'antd'
import DateFormat from '@/utils/DateUtil'
import Engp from '@/views/Public/Engp'

import Fee from '@/views/Public/Fee'
import Gle from '@/views/Public/Gle'
import Papper from '@/views/Public/Papper'
import Basic from './Basic'

const CodeTable = CodeTableFactory.getInstance()
const StepItem = Steps.Item


@inject('UserContext')
@inject('i18n')
@observer
export default class GetsetScreen extends Page
{
    @observable
    formBlur = false

    @observable
    extra = { inifrm: 'getset', sptinr: '', bchlevelLst: [] }



    constructor(props) {
        super(props)
        this.state = {
            flag: true
        }
        this.model = new mGetset()
    }
	
	async componentWillMount() 
	{
		/*
		*添加初始化代码
		*/
		const rtnmsg = await Api.post('getset/init',{data:this.model})
		if(rtnmsg.retcod == SUCCESS)
		{
           const {data} = rtnmsg
           runInAction(()=>{
                Object.assign(this.model,data)
           }) 
        }
		//快照模式下，不必开启校验，否则，静默校验，和记录变动
		!this.loadDisplay() && this.model.openMonitor && this.model.openMonitor() //开启校验	
	}
    componentWillUnmount()
    {
        this.model.stopMonitor&&this.model.stopMonitor()//关闭校验
    }
    //交易内实现
    renderPage(){
        return (
        	<Card title="出口保函收汇" size="small" className="transTitle">
				<Steps>
					<StepItem title="Claim Payment">
						<Basic model={this.model} extra={this.extra} flag={this.state.flag} />
					</StepItem>

					<StepItem title="表外&保证金">
						<Engp model={this.model} extra={this.extra} />
					</StepItem>

					<StepItem title="费用&账务">
						<Fee model={this.model} extra={this.extra} />
					</StepItem>
					<StepItem title="会计分录">
						<Gle model={this.model} extra={this.extra} />
					</StepItem>
					<StepItem title="面函">
						<Papper model={this.model} extra={this.extra} />
					</StepItem>

				

				</Steps>
			</Card>
		)
	}
}
