import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mGitfee from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import {Row ,Col} from 'antd'
import Ptspta2 from '@/views/Public/Ptspta2'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class GitfeeScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'gitfee'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mGitfee()    
        this.bind = Bind.bind(this)
    }
	

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div style={{ position: 'relative' }}>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Reference" trn="gitfee" />    
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("ownref")}  maxLength={16}  desp="Reference" path="/gidgrp/rec/ownref" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Name" trn="gitfee" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("nam")}  maxLength={40}  desp="Externally Displayed Name to Identify the Contract" path="/gidgrp/rec/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                            	{/* <Label itext="Applicant" trn="gitfee" />	 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Guarantee Amount" trn="gitfee" /> 
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("max_cur")}  maxLength={3}  desp="Currency" path="/gidgrp/cbs/max/cur" />
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("max_amt")}   desp="Balance" path="/gidgrp/cbs/max/amt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户英文名称" trn="gitfee" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts1_nam")}  maxLength={100}  desp="客户英文名称" path="/gidgrp/apl/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                            	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Open Amount" trn="gitfee" />  
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("opn1_cur")}  maxLength={3}  desp="Currency" path="/gidgrp/cbs/opn1/cur" />
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("opn1_amt")}   desp="Balance" path="/gidgrp/cbs/opn1/amt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Handling Type" trn="gitfee" />    
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("hndtyp")} code={CodeTable.hndtyp}  desp="Handling Type" path="/gidgrp/rec/hndtyp"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户英文名称" trn="gitfee" />  
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts2_nam")}  maxLength={100}  desp="客户英文名称" path="/gidgrp/ben/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Type of Undertaking" trn="gitfee" />    
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("gartyp")} code={CodeTable.typgar}  desp="Type of Undertaking" path="/gidgrp/rec/gartyp"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
                            	{/* <Label itext="Beneficiary" trn="gitfee" />
                            	<Label itext="Adv\Rcv Bank" trn="gitfee" />	 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户英文名称" trn="gitfee" />  
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts_nam")}  maxLength={100}  desp="客户英文名称" path="/gidgrp/adv/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label  itext="Valid until" trn="gitfee"/>
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("expdat")}  desp="Valid until" path="/gidgrp/rec/expdat" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                            	{/* <Label value={this.model.gitp0_liafldlab}   desp="Label for Field Lability" path="/gitp0/liafldlab" /> */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Liability until" trn="gitfee" /> 
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("liadat")}  desp="Liability until" path="/gidgrp/rec/liadat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户英文名称" trn="gitfee" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts3_nam")}  maxLength={100}  desp="客户英文名称" path="/gidgrp/iss/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Internal Transfer Y/N" trn="gitfee" /> 
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("intmbu_umbflg")}  desp="Internal Transfer Y/N" path="/xxtfee/intmbu/umbflg" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Business Sector" trn="gitfee" />  
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("intmbu_othbussec")} code={CodeTable.bustxt}  desp="Business Sector" path="/xxtfee/intmbu/othbussec"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Debit Party" trn="gitfee" />  
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("intmbu_umsrol")}   desp="Debit Party" path="/xxtfee/intmbu/umsrol"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Send Message(sms)" trn="gitfee" />  
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("intmbu_umsmsgflg")}  desp="Send Message" path="/xxtfee/intmbu/umsmsgflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>            	

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Credit Party" trn="gitfee" /> 
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("intmbu_umhrol")}   desp="Credit Party" path="/xxtfee/intmbu/umhrol"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Send Message(hms)" trn="gitfee" /> 
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("intmbu_umhmsgflg")}  desp="Send Message" path="/xxtfee/intmbu/umhmsgflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>              	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Reference" trn="gitfee" />    
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts5_ref")}  maxLength={16}  desp="参考号" path="/xxtfee/intmbu/ums/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Reference" trn="gitfee" />    
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts4_ref")}  maxLength={16}  desp="参考号" path="/xxtfee/intmbu/umh/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                </Row>   
                <Row>
                    <Col span={12}>
                        {/* <Row className="row">
                            <Col span={15} offset={2}>
                                <InputItem InputProps={bind("pts5_extkey")}  maxLength={16}  desp="客户编号" path="/xxtfee/intmbu/ums/pts/extkey" />
                            </Col>
                            <Col span={3} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onUmsp_sel} desp="查询" path="/xxtfee/intmbu/umsp/sel">
                                    <Label   itext="查询"/>
                                </Button>
                            </Col>
                        </Row> */}
                        <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts5', url: 'gitfee/umsp_sel', flg: 'C', datakey: '' }} formBlur={this.formBlur}/>
                    </Col>
                    <Col span={12}>
                        {/* <Row className="row">
                            <Col span={15} offset={2}>
                                <InputItem InputProps={bind("pts4_extkey")}  maxLength={16}  desp="客户编号" path="/xxtfee/intmbu/umh/pts/extkey" />
                            </Col>
                            <Col span={3} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onUmhp_sel} desp="查询" path="/xxtfee/intmbu/umhp/sel">
                                    <Label   itext="查询"/>
                                </Button>
                            </Col>
                        </Row> */}
                        <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts4', url: 'gitopn/umhp_sel', flg: 'C', datakey: '' }} formBlur={this.formBlur}/>
                    </Col>
                </Row>             	
                {/* <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={19} offset={2}>
                                <TextAreaItem InputProps={bind("pts5_adrblk")} desp="SWIFT地址" path="/xxtfee/intmbu/ums/pts/adrblk"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={19} offset={2}>
                                <TextAreaItem InputProps={bind("pts4_adrblk")} desp="SWIFT地址" path="/xxtfee/intmbu/umh/pts/adrblk"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>     	 */}
                {/* 底部按钮 */}
                <BottomBtn _this={this} />            	
		</div>
		)
	}
}
