import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Gitpca {
    
    @observable
    expdat=""           // \gidgrp\rec\expdat    Valid until 

    @observable
    gartyp=""           // \gidgrp\rec\gartyp    Type of Undertaking 

    @observable
    hndtyp=""           // \gidgrp\rec\hndtyp    Handling Type 

    @observable
    liadat=""           // \gidgrp\rec\liadat    Liability until 

    @observable
    nam=""           // \gidgrp\rec\nam    Externally Displayed Name to Identify the Contract 

    @observable
    ownref=""           // \gidgrp\rec\ownref    Reference 

    @observable
    purcan=""           // \gidgrp\rec\purcan    Reason of Cancelation 

    @observable
    autflg=""           // \autflg    Authentication 

    @observable
    canmsg=""           // \canmsg    撤销文书 

    @observable
    pts_nam=""           // \gidgrp\adv\pts\nam    客户英文名称 

    @observable
    pts1_nam=""           // \gidgrp\apl\pts\nam    客户英文名称 

    @observable
    pts2_nam=""           // \gidgrp\ben\pts\nam    客户英文名称 

    @observable
    max_amt=""           // \gidgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \gidgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \gidgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \gidgrp\cbs\opn1\cur    Currency 

    @observable
    pts3_nam=""           // \gidgrp\iss\pts\nam    客户英文名称 

    @observable
    gitp0_aplmullab=""           // \gitp0\aplmullab    Label, that is set, if there are multiple applicants 

    @observable
    gitp0_expfldlab=""           // \gitp0\expfldlab    Label for Field Validity 

    @observable
    gitp0_liafldlab=""           // \gitp0\liafldlab    Label for Field Lability 

    @observable
    liaall_liaallg=[]           // \liaall\liaallg 

    @observable
    liaccv_chgamt=""           // \liaall\liaccv\chgamt    变动金额 

    @observable
    liaccv_concur=""           // \liaall\liaccv\concur    业务结算币种 

    @observable
    liaccv_cshpct=""           // \liaall\liaccv\cshpct    保证金应收比例 

    @observable
    liaccv_liaccvg=[]           // \liaall\liaccv\liaccvg 

    @observable
    liaccv_newamt=""           // \liaall\liaccv\newamt    业务金额 

    @observable
    liaccv_pctresamt=""           // \liaall\liaccv\pctresamt    应收/支保证金 

    @observable
    liaccv_relcshpct=""           // \liaall\liaccv\relcshpct    保证金实收比例 

    @observable
    liaccv_totcovamt=""           // \liaall\liaccv\totcovamt    保证金合计 

    @observable
    mtabut_clsflg=""           // \mtabut\clsflg    Close Flag 

    @observable
    newref=""           // \newref    New Reference 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    swiadd_strinf=""           // \trnmod\swiadd\strinf    Sender to receiver info Tag 72 

    @observable
    trndoc_condocstm=""           // \trnmod\trndoc\condocstm    Connected Documents 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_doctrestm=""           // \trnmod\trndoc\doctrestm    Document tree 

    @observable
    trndoc_shwinc=""           // \trnmod\trndoc\shwinc    Show Incoming Messages 

    @observable
    trndoc_shwout=""           // \trnmod\trndoc\shwout    Show Outgoing Messages 

    @observable
    trndoc_shwoutint=""           // \trnmod\trndoc\shwoutint    Show Internal Messages 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.expdat=""
            this.gartyp=""
            this.hndtyp=""
            this.liadat=""
            this.nam=""
            this.ownref=""
            this.purcan=""
            this.autflg=""
            this.canmsg=""
            this.pts_nam=""
            this.pts1_nam=""
            this.pts2_nam=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts3_nam=""
            this.gitp0_aplmullab=""
            this.gitp0_expfldlab=""
            this.gitp0_liafldlab=""
            this.liaall_liaallg=[]
            this.liaccv_chgamt=""
            this.liaccv_concur=""
            this.liaccv_cshpct=""
            this.liaccv_liaccvg=[]
            this.liaccv_newamt=""
            this.liaccv_pctresamt=""
            this.liaccv_relcshpct=""
            this.liaccv_totcovamt=""
            this.mtabut_clsflg=""
            this.newref=""
            this.glemod_glelst=[]
            this.spt_inr=""
            this.swiadd_strinf=""
            this.trndoc_condocstm=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_doctrestm=""
            this.trndoc_shwinc=""
            this.trndoc_shwout=""
            this.trndoc_shwoutint=""
    }

} 


export default Gitpca