import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Infgid {
    
    @observable
    infbut_dspstm=""           // \infbut\dspstm    display stream 

    @observable
    infcon_nam=""           // \infcon\nam    Name 

    @observable
    infcon_opndatfrom=""           // \infcon\opndatfrom    Open Date from 

    @observable
    infcon_opndatto=""           // \infcon\opndatto    Open Date to 

    @observable
    pty_extkey=""           // \infcon\pty\extkey    客户号 

    @observable
    infcon_seaamtfr=""           // \infcon\seaamtfr    Amount from 

    @observable
    infcon_seaamtto=""           // \infcon\seaamtto    Amount to 

    @observable
    infcon_seacur=""           // \infcon\seacur    Currency 

    @observable
    infcon_seaownref=""           // \infcon\seaownref    Own Reference for search 

    @observable
    infcon_seapty=""           // \infcon\seapty    Party Name/BIC 

    @observable
    infcon_searef=""           // \infcon\searef    External Reference for search 

    @observable
    infcon_searol=""           // \infcon\searol    Role 

    @observable
    infcon_seasta=""           // \infcon\seasta    Status 

    @observable
    seagtyp=""           // \seagtyp    Undertaking Type 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.infbut_dspstm=""
            this.infcon_nam=""
            this.infcon_opndatfrom=""
            this.infcon_opndatto=""
            this.pty_extkey=""
            this.infcon_seaamtfr=""
            this.infcon_seaamtto=""
            this.infcon_seacur=""
            this.infcon_seaownref=""
            this.infcon_seapty=""
            this.infcon_searef=""
            this.infcon_searol=""
            this.infcon_seasta=""
            this.seagtyp=""
    }

} 


export default Infgid