import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mLitfre from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Row, Col} from 'antd';
import Ptspta2 from '@/views/Public/Ptspta2'
import Business from '@/views/Public/Business'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class LitfreScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'litfre'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mLitfre()    
        this.bind = Bind.bind(this)
    }

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div style={{ position: 'relative' }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} steps={this.props.steps} extra={this.props.extra} model={this.model} />
                {/*第一行*/}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="参考号" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("ownref")}  maxLength={16}  desp="Reference" path="/lidgrp/rec/ownref" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="名称" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("nam")}  maxLength={140}  desp="Externally Displayed Name to Identify the Contract" path="/lidgrp/rec/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="开证金额" trn="litfre" />	
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={bind("nom1_cur")} code={CodeTable.curtxt}  desp="Currency" path="/lidgrp/cbs/nom1/cur"/>
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("nom1_amt")}   desp="Balance" path="/lidgrp/cbs/nom1/amt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="申请人参考号" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts1_ref")}  maxLength={16}  desp="参考号" path="/lidgrp/apl/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="信用证余额" trn="litfre" />	
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("opn1_cur")}  maxLength={3}  desp="Currency" path="/lidgrp/cbs/opn1/cur" />
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("opn1_amt")}   desp="Balance" path="/lidgrp/cbs/opn1/amt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Add. Amount" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("aammod_addamtflg")}  desp="Add. Amount" path="/litp0/aammod/addamtflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Revolving Flag" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("revflg")}  desp="Revolving Flag" path="/lidgrp/rec/revflg" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户英文名称" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts1_nam")}  maxLength={100}  desp="客户英文名称" path="/lidgrp/apl/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="指定银行" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("lidgrp_avbnam")}  maxLength={40}  desp="Available with Bank" path="/lidgrp/avbnam" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="受益人参考号" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts2_ref")}  maxLength={16}  desp="参考号" path="/lidgrp/ben/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Red/Green Clause" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("redclsflg")}  desp="Red/Green Clause" path="/lidgrp/rec/redclsflg" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="兑付方式" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("avbby")}   desp="Available by" path="/lidgrp/rec/avbby"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户英文名称" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts2_nam")}  maxLength={100}  desp="客户英文名称" path="/lidgrp/ben/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="开立日期" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("opndat")}  desp="Date L/C Opened/Issued" path="/lidgrp/rec/opndat" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Shipment Date" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("shpdat")}  desp="Shipment Date" path="/lidgrp/rec/shpdat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="通知行参考号" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts_ref")}  maxLength={16}  desp="参考号" path="/lidgrp/adv/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="到期日" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("expdat")}  desp="Date of Expiry" path="/lidgrp/rec/expdat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Place of Expiry" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("expplc")}  maxLength={29}  desp="Place of Expiry" path="/lidgrp/rec/expplc" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户英文名称" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts_nam")}  maxLength={100}  desp="客户英文名称" path="/lidgrp/adv/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="信用证类型" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("lcrtyp")}   desp="Form of Documentary Credit" path="/lidgrp/rec/lcrtyp"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="收报行" trn="litfre" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_msgrol")} code={CodeTable.rolall}  desp="Role Message" path="/fremsg/msgrol"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="发报类型" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_sndmt")} code={CodeTable.sndmt}  desp="message to be created" path="/fremsg/sndmt"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Ptspta2  model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts1', url: 'litopn/fmop_ptysel', flg: 'C', datakey: '\\litp\\fmop\\ptslst' }} />
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="报文类型" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_fulmt")} code={CodeTable.fulmt}  desp="MT to Send" path="/fremsg/fulmt"/>
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="标题" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("fremsg_prttitle")}  maxLength={35}  desp="Document Title" path="/fremsg/prttitle" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                                {/* <InputItem InputProps={bind("pts1_extkey")}  maxLength={16}  desp="客户编号" path="/fremsg/fmo/pts/extkey" />
                                <Button  type="primary" icon="search" onClick={this.onFmop_sel} desp="查询" path="/fremsg/fmop/sel">
                                    <Label   itext="查询"/>
                                </Button>
                                <TextAreaItem InputProps={bind("pts1_adrblk")} desp="SWIFT地址" path="/fremsg/fmo/pts/adrblk"/> */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="相关报文" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_relmt")} code={CodeTable.relmt}  desp="related MT" path="/fremsg/relmt"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="from" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("fremsg_reldat")}  desp="from" path="/fremsg/reldat" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="relevant message" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_reldir")} code={CodeTable.reldir}  desp="relevant message sent/received" path="/fremsg/reldir"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="副本的收报行" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_ccrol")} code={CodeTable.rolall}  desp="Role Copy" path="/fremsg/ccrol"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="flg for gitfre" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("fremsg_flg")}  desp="flg for gitfre" path="/fremsg/flg" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="tag 20 Ref" trn="litfre" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("fremsg_tag20ref")}  maxLength={16}  desp="tag 20 Ref" path="/fremsg/tag20ref" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Ptspta2  model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts', url: 'litopn/fmcp_ptysel', flg: 'C', datakey: '\\litp\\fmcp\\ptslst' }} />
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Narrative" trn="litfre" />	
                            </Col>
                            <Col span={11}>
                                <TextAreaItem InputProps={bind("fremsg_strinf")} desp="Narrative" path="/fremsg/strinf"/>
                            </Col>
                            <Col span={2} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onTxtfre_buttxmsel} desp="..." path="/fremsg/txtfre/buttxmsel">
                                    <Label   itext="..."/>
                                </Button>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            
                        </Row>
                    </Col>
                </Row>
                                {/* <InputItem InputProps={bind("pts_extkey")}  maxLength={16}  desp="客户编号" path="/fremsg/fmc/pts/extkey" />
                                <Button  type="primary" icon="search" onClick={this.onFmcp_sel} desp="查询" path="/fremsg/fmcp/sel">
                                    <Label   itext="查询"/>
                                </Button>
                                <Label value={this.model.fremsg_tag20lab}   desp="MT799tag20" path="/fremsg/tag20lab" />
                                <Label value={this.model.fremsg_strinflab}   desp="label for tag 79" path="/fremsg/strinflab" />
                                <TextAreaItem InputProps={bind("pts_adrblk")} desp="SWIFT地址" path="/fremsg/fmc/pts/adrblk"/> */}
                <BottomBtn _this={this} />
		</div>
		)
	}
}
