import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mLitopn from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Row, Col} from 'antd';
import Ptspta2 from '@/views/Public/Ptspta2'
import Business from '@/views/Public/Business'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class LitopnScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'litopn'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mLitopn()    
        this.bind = Bind.bind(this)
    }
    

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div style={{ position: 'relative' }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} steps={this.props.steps} extra={this.props.extra} model={this.model} />
                    <Row>
                        <Col span={12}>
                            <Row className="row">
                                <Col span={5} offset={2}>
                                    <Label itext="2nd Advising Bank" trn="litopn" />	
                                </Col>
                                <Col span={14}>
                                    <InputItem InputProps={bind("pts_ref")}  maxLength={16}  desp="参考号" path="/lidgrp/a2b/pts/ref" />
                                </Col>
                            </Row>
                        </Col>
                        <Col span={12}>
                            <Row className="row">
                                <Col span={5} offset={2}>
                                    <Label itext="Applicant's Bank" trn="litopn" />	
                                </Col>
                                <Col span={14}>
                                    <InputItem InputProps={bind("pts7_ref")}  maxLength={16}  desp="参考号" path="/lidgrp/ini/pts/ref" />
                                </Col>
                            </Row>
                        </Col>
                    </Row>		
                            {/* <Label itext="Ref." trn="litopn" />	
                            <Label itext="Ref." trn="litopn" />	 */}
                    <Row>
                        <Col span={12}>
                            <Ptspta2  model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts', url: 'litopn/a2bp_ptysel', flg: 'C', datakey: '\\litp\\a2bp\\ptslst' }} />
                        </Col>
                        <Col span={12}>
                            <Ptspta2  model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts7', url: 'litopn/inip_ptysel', flg: 'C', datakey: '\\litp\\inip\\ptslst' }} />
                        </Col>
                    </Row>		
                                    {/* <InputItem InputProps={bind("pts_extkey")}  maxLength={16}  desp="客户编号" path="/lidgrp/a2b/pts/extkey" />
                                    <Button  type="primary" icon="search" onClick={this.onA2bp_sel} desp="查询" path="/litp/a2bp/sel">
                                        <Label   itext="查询"/>
                                    </Button>
                                    <InputItem InputProps={bind("pts7_extkey")}  maxLength={16}  desp="客户编号" path="/lidgrp/ini/pts/extkey" />
                                    <Button  type="primary" icon="search" onClick={this.onInip_sel} desp="查询" path="/litp/inip/sel">
                                        <Label   itext="查询"/>
                                    </Button>
                                    <TextAreaItem InputProps={bind("pts_adrblk")} desp="SWIFT地址" path="/lidgrp/a2b/pts/adrblk"/>
                                    <TextAreaItem InputProps={bind("pts7_adrblk")} desp="SWIFT地址" path="/lidgrp/ini/pts/adrblk"/> */}
                    <Row>
                        <Col span={12}>
                            <Row className="row">
                                <Col span={5} offset={2}>
                                    <Label itext="Reimbursement Bank" trn="litopn" />	
                                </Col>
                                <Col span={14}>
                                    <InputItem InputProps={bind("pts8_ref")}  maxLength={16}  desp="参考号" path="/lidgrp/rmb/pts/ref" />
                                </Col>
                            </Row>
                        </Col>
                        <Col span={12}>
                            <Row className="row">
                                <Col span={5} offset={2}>
                                    <Label itext="Confirming Bank" trn="litopn" />	
                                </Col>
                                <Col span={14}>
                                    <InputItem InputProps={bind("pts3_ref")}  maxLength={16}  desp="参考号" path="/lidgrp/avb/pts/ref" />
                                </Col>
                            </Row>
                        </Col>
                    </Row>
                                    {/* <Label itext="Ref." trn="litopn" />	
                                    <Label value={this.model.litp_avblab}   desp="Label Available with Bank" path="/litp/avblab" /> */}
                    <Row>
                        <Col span={12}>
                            <Ptspta2  model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts8', url: 'litopn/rmbp_ptysel', flg: 'C', datakey: '\\litp\\rmbp\\ptslst' }} />
                        </Col>
                        <Col span={12}>
                            <Ptspta2  model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts5', url: 'litopn/cmbp_ptysel', flg: 'C', datakey: '\\litp\\cmbp\\ptslst' }} />
                        </Col>
                    </Row>  
                                    {/* <InputItem InputProps={bind("pts8_extkey")}  maxLength={16}  desp="客户编号" path="/lidgrp/rmb/pts/extkey" />
                                    <Button  type="primary" icon="search" onClick={this.onRmbp_sel} desp="查询" path="/litp/rmbp/sel">
                                        <Label   itext="查询"/>
                                    </Button>
                                    <InputItem InputProps={bind("pts5_extkey")}  maxLength={16}  desp="客户编号" path="/lidgrp/cmb/pts/extkey" />
                                    <Button  type="primary" icon="search" onClick={this.onCmbp_sel} desp="查询" path="/litp/cmbp/sel">
                                        <Label   itext="查询"/>
                                    </Button>
                                    <TextAreaItem InputProps={bind("pts8_adrblk")} desp="SWIFT地址" path="/lidgrp/rmb/pts/adrblk"/>
                                    <TextAreaItem InputProps={bind("pts5_adrblk")} desp="SWIFT地址" path="/lidgrp/cmb/pts/adrblk"/> */}
                    <Row>
                        <Col span={12}>
                            <Row className="row">
                                <Col span={5} offset={2}>
                                    <Label itext="Description. of Goods" trn="litopn" />	
                                </Col>
                                <Col span={11}>
                                    <TextAreaItem InputProps={bind("blk_lcrgod")} desp="Description of Gods" path="/lidgrp/blk/lcrgod"/>
                                </Col>
                                <Col span={2} offset={1}>
                                    <Button  type="primary" icon="search" onClick={this.onLcrgod_buttxmsel} desp="..." path="/litp/lcrgod/buttxmsel">
                                        <Label   itext="..."/>
                                    </Button>
                                </Col>
                            </Row>
                        </Col>
                        <Col span={12}>
                            <Row className="row">
                                <Col span={5} offset={2}>
                                    <Label itext="Goods Code " trn="litopn" />	
                                </Col>
                                <Col span={14}>
                                    <SelectItem InputProps={bind("stagod")}   desp="Goods Code" path="/lidgrp/rec/stagod"/>
                                </Col>
                            </Row>
                        </Col>
                    </Row>
                    <Row>
                        <Col span={12}>
                            <Row className="row">
                                <Col span={5} offset={2}>
                                    <Label itext="Documents Required" trn="litopn" />	
                                </Col>
                                <Col span={11}>
                                    <TextAreaItem InputProps={bind("blk_lcrdoc")} desp="Documents Required" path="/lidgrp/blk/lcrdoc"/>
                                </Col>
                                <Col span={2} offset={1}>
                                    <Button  type="primary" icon="search" onClick={this.onLcrdoc_buttxmsel} desp="..." path="/litp/lcrdoc/buttxmsel">
                                        <Label   itext="..."/>
                                    </Button>
                                </Col>
                            </Row>
                        </Col>
                        <Col span={12}>
                            <Row className="row">
                                <Col span={5} offset={2}>
                                    <Label itext="Additional Conditions" trn="litopn" />	
                                </Col>
                                <Col span={11}>
                                    <TextAreaItem InputProps={bind("blk_adlcnd")} desp="Additional Conditions" path="/lidgrp/blk/adlcnd"/>
                                </Col>
                                <Col span={2} offset={1}>
                                    <Button  type="primary" icon="search" onClick={this.onAdlcnd_buttxmsel} desp="..." path="/litp/adlcnd/buttxmsel">
                                        <Label   itext="..."/>
                                    </Button>
                                </Col>
                            </Row>
                        </Col>
                    </Row> 
                    <Row>
                        <Col span={12}>
                            <Row className="row">
                                <Col span={5} offset={2}>
                                    <Label itext="Red/Green Clause" trn="litopn" />	
                                </Col>
                                <Col span={14}>
                                    <CheckboxItem InputProps={bind("redclsflg")}  desp="Red/Green Clause" path="/lidgrp/rec/redclsflg" />
                                </Col>
                            </Row>
                        </Col>
                        <Col span={12}>
                            <Row className="row">
                                <Col span={5} offset={2}>
                                    <Label itext="Instructions to Pay.," trn="litopn" />	
                                </Col>
                                <Col span={11}>
                                    <TextAreaItem InputProps={bind("blk_insbnk")} desp="Instructions to Paying/Accepting/Negotiating Bank" path="/lidgrp/blk/insbnk"/>
                                </Col>
                                <Col span={2} offset={1}>
                                    <Button  type="primary" icon="search" onClick={this.onInsbnk_buttxmsel} desp="..." path="/litp/insbnk/buttxmsel">
                                        <Label   itext="..."/>
                                    </Button>
                                </Col>
                            </Row>
                        </Col>
                    </Row>
                    <BottomBtn _this={this} />
                                    {/* <Label itext="Accept., Negot. Bank" trn="litopn" />	 */}
		</div>
		)
	}
}
