import React, { Component, Fragment } from 'react'
import {
    Page, Validator, Notification, FormItem,
    InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps, CheckboxItem, TextAreaItem
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal, Spin, Tooltip, Table } from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Business from '@/views/Public/Business'
import mLitsel from '../model'

import moment from 'moment';

const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class DanjuScreen extends Page {
    @observable
    formBlur = false

    constructor(props) {
        super(props)
        this.model = new mLitsel()
        this.bind = Bind.bind(this)
        this.model.brtmod_selflg = props.flg
        this.state={
          selectedInr:""
        }
    }

    componentDidMount() {
        super.componentDidMount()
        if (this.props.flg == "0") {
            this.brtmod_brdlstHeader.push(
                {
                    title: <Label itext="操作" />,
                    width: 60,
                    key: "operation",
                    render: (val, row, index) => {
                        return (
                          <a onClick={()=>{this.link("brtdcr",row.inr)}}>拒付</a>
                        )
                    }
                }
            )
        }
        else if (this.props.flg == "1") {
            this.brtmod_brdlstHeader.push(
                {
                    title: <Label itext="操作" />,
                    width: 60,
                    key: "operation",
                    render: (val, row, index) => {
                        return (
                          <a onClick={()=>{this.link("brtudp",row.inr)}}>承兑</a>
                        )
                    }

                })
        }
        else if (this.props.flg == "2") {
            this.brtmod_brdlstHeader.push(
                {
                    title: <Label itext="操作" />,
                    width: 60,
                    key: "operation",
                    render: (val, row, index) => {
                        return (
                          <a onClick={()=>{this.link("brtset",row.inr)}}>付款</a>
                        )
                    }

                })
        }
        else if (this.props.flg == "3") {
            this.brdinr = ""
            this.model.inr1 = "0"
        }
    }

    //交易跳转函数，若参数inr存在，则赋值给this.brdinr
    //调用后台查询是否符合跳转前提（前手交易是否复核），根据返回值决定是否带参跳转至pathname交易
    async link(pathname, inr){
      if(inr){
        this.brdinr = inr
      }
	  const rtnmsg = await Api.post('litsel/cfgfil_isnext', { data: this.model, params: { objinr:this.brdinr, objtyp:"bdd"} })
      if (rtnmsg.retcod == SUCCESS) {
        this.props.history.push({ pathname, query: { brdinr:this.brdinr} });
      }else{
        Notification.error({ message: `${rtnmsg.retmsg}` })
      }
    }

    onSellst = async () => {
        this.formBlur = true  //已触发表单提交处理
        const rtnmsg = await Api.post('litsel/brtmod_sel', { data: this.model })
        if (rtnmsg.retcod == SUCCESS) {
            this.model.brtmod_brdlst = rtnmsg.data['brtmod_brdlst'];

        }
        else {
            Notification.error({ message: '查询失败!' })
        }
        //余下逻辑处理


    }

    async onSelcon(brdinr) {
        this.formBlur = true  //已触发表单提交处理
        this.setState({selectedInr:brdinr}) //获取选中行的inr,用于改变选中行样式
        this.brdinr = brdinr;
        this.model.inr1 = brdinr;
    }

    brtmod_brdlstHeader = [
        {
            title: <Label itext="业务编号" />,
            dataIndex: "ownref",
            key: "ownref",
            width: 100,
            sorter: (r1, r2) => ColSorter(r1.ownref, r2.ownref),
        },
        {
            title: <Label itext="概要描述" />,
            dataIndex: "nam",
            key: "nam",
            width: 190,
            sorter: (r1, r2) => ColSorter(r1.nam, r2.nam),
        },
        {
            title: <Label itext="交单日期" />,
            dataIndex: "predat",
            key: "predat",
            width: 90,
            sorter: (r1, r2) => ColSorter(r1.predat, r2.predat),
            render:(val)=>{
              if(val)
              return moment(val).format('YYYY-MM-DD')
            }
        },
        {
            title: <Label itext="装运日期" />,
            dataIndex: "shpdat",
             key: "shpdat",
            width: 90,
            sorter: (r1, r2) => ColSorter(r1.shpdat, r2.shpdat),
            render:(val)=>{
              if(val)
              return moment(val).format('YYYY-MM-DD')
            }
        },
        {
            title: <Label itext="到期日" />,
            dataIndex: "matdat",
            key: "matdat",
            width: 90,
            sorter: (r1, r2) => ColSorter(r1.matdat, r2.matdat),
            render:(val)=>{
              if(val)
              return moment(val).format('YYYY-MM-DD')
            }
        },
        {
            title: <Label itext="承兑日期" />,
            dataIndex: "advdat",
            key: "advdat",
            width: 90,
            sorter: (r1, r2) => ColSorter(r1.advdat, r2.advdat),
            render:(val)=>{
              if(val)
              return moment(val).format('YYYY-MM-DD')
            }
        },
        {
            title: <Label itext="闭卷日期" />,
            dataIndex: "clsdat",
            key: "clsdat",
            width: 90,
            sorter: (r1, r2) => ColSorter(r1.clsdat, r2.clsdat),
            render:(val)=>{
              if(val)
              return moment(val).format('YYYY-MM-DD')
            }
        },
        {
            title: <Label itext="经办柜员" />,
            dataIndex: "ownusr",
            key: "ownusr",
            width: 100,
            sorter: (r1, r2) => ColSorter(r1.ownusr, r2.ownusr),
        },
    ]

    rowClass = (row, index)=>{
      //表格选中行变色
      if(this.props.flg == 6 &&  row.inr == this.state.selectedInr){
        return "selectedStyle"
      }
      //单双行样式
      if(index %2)
      {
        return "tableEvenStyle"
      }
      return "tableOddStyle"
    }

    onTabFocus(){
      this.setState({selectedInr:""}) //切换页签时重置行选中样式
    }

    //交易内实现
    renderPage() {
        const bind = this.bind
        const { i18n } = this.props

        return (
            <div style={{ position: 'relative' }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} extra={this.props.extra} model={this.model} />
                {/* 第一行 */}
                <Row>
                    <Col span={24}>
                        <Row className="row">
                            <Col span={2} >
                                <Label itext="信用证编号" trn="litsel" />
                            </Col>
                            <Col span={3} >
                                <InputItem InputProps={{ ...bind("brtmod_lcref"), onPressEnter: this.onSellst }} maxLength={16} desp="信用证编号" path="/brtmod/lcref" />
                            </Col>

                            <Col span={2} offset={1}>
                                <Label itext="单据编号" trn="ditsel" />
                            </Col>
                            <Col span={3} >
                                <InputItem InputProps={bind("brtmod_brref")} maxLength={16} desp="单据编号" path="/brtmod/brref" />
                            </Col>
                            <Col span={6} offset={1}>
                                <Button type="primary" icon="search" size="small" onClick={this.onSellst} desp="查询" path="/brtmod/sel">
                                    <Label itext="查询" />
                                </Button>
                            </Col>
                        </Row>
                    </Col>

                </Row>
                <Row style={{ marginTop: 30 }}>
                    <Col span={24} >
                        <Table rowKey="inr" size="middle"
                          onRow={row => ({ onClick: () => this.onSelcon(row.inr) })}  
                          columns={this.brtmod_brdlstHeader} 
                          dataSource={this.model.brtmod_brdlst}
                          rowClassName={this.rowClass}
                        />
                    </Col>
                </Row>


                {this.props.flg == "3" ?
                    <div style={{ textAlign: "center", marginTop: 30 }}>
                        <Button style={{ marginLeft: 10, marginRight: 10 }} disabled={this.model.inr1 == "0" ? true : false} type="primary" size="small" onClick={()=>{this.link("brtdck")}}>
                            <Label itext="单据修改" />
                        </Button>
						<Button style={{ marginLeft: 10, marginRight: 10 }} disabled={this.model.inr1 == "0" ? true : false} type="primary" size="small" onClick={()=>{this.link("brtcan")}}>
                            <Label itext="单据注销" />
                        </Button>
                        <Button style={{ marginLeft: 10, marginRight: 10 }} disabled={this.model.inr1 == "0" ? true : false} type="primary" size="small" onClick={()=>{this.link("brtfre")}}>
                            <Label itext="自由报文" />
                        </Button>
                        <Button style={{ marginLeft: 10, marginRight: 10 }} disabled={this.model.inr1 == "0" ? true : false} type="primary" size="small" onClick={()=>{this.link("brtfee")}}>
                            <Label itext="收费" />
                        </Button>
                    </div>
                    : null}

            </div >
        )
    }
}
