import React, { Component, Fragment } from 'react'
import {
    Page, Validator, Notification, FormItem,
    InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps, CheckboxItem, TextAreaItem
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Tooltip, Modal, Spin, Table } from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta1 from '@/views/Public/Ptspta1'
import Business from '@/views/Public/Business'
import moment from 'moment'
import mLitsel from '../model'
const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class XinyongzhengScreen extends Page {
    @observable
    formBlur = false

    constructor(props) {
        super(props)
        this.model = new mLitsel()
        this.bind = Bind.bind(this)
        this.model.litmod_selflg = props.flg
        this.state={
          selectedInr:""
        }
    }

    componentDidMount() {
        
        super.componentDidMount()
        if (this.props.flg == "5") {
            this.litmod_lidlstHeader.push(
                {
                    title: <Label itext="操作" />,
                    width: 60,
                    key: "operation",
                    render: (val, row, index) => {
                        return (
                          <a onClick={()=>{this.link('litdck',row.inr)}}>到单</a>
                        )
                    }

                }

            )
        }
        else if (this.props.flg == "3") {
            this.litmod_lidlstHeader.push(
                {
                    title: <Label itext="操作" />,
                    width: 60,
                    key: "operation",
                    render: (val, row, index) => {
                        return (
                          <a onClick={()=>{this.link('litcan',row.inr)}}>闭卷</a>
                        )
                    }

                })
        }
		else if (this.props.flg == "12") {
            this.litmod_lidlstHeader.push(
                {
                    title: <Label itext="操作" />,
                    width: 60,
                    key: "operation",
                    render: (val, row, index) => {
                        return (
                          <a onClick={()=>{this.link('litrop',row.inr)}}>重开</a>
                        )
                    }

                })
        }
         else  if (this.props.flg == "1") {
             this.lidinr=""
             this.model.inr="0"
        }
    }

    onTabFocus(){
      this.setState({selectedInr:""}) //切换页签时重置行选中样式
    }

    //交易跳转函数，若参数inr存在，则赋值给this.lidinr，此时为闭卷或者到单，不存在则为信用证其他
    //调用后台查询是否符合跳转前提（前手交易是否复核），根据返回值决定是否带参跳转至pathname交易
    async link(pathname, inr){
      if(inr){
        this.lidinr = inr
      }
      const rtnmsg = await Api.post('litsel/cfgfil_isnext', { data: this.model, params: { objinr:this.lidinr, objtyp:"lid"} })
      if (rtnmsg.retcod == SUCCESS) {
        this.props.history.push({ pathname, query: { lidinr:this.lidinr} });
      }else{
        Notification.error({ message: `${rtnmsg.retmsg}` })
      }
    }

	async onSelcon(lidinr){
        this.formBlur=true  //已触发表单提交处理
        this.setState({selectedInr:lidinr}) //获取选中行的inr,用于改变选中行样式
        this.lidinr=lidinr;
        this.model.inr=lidinr;
    }

    litmod_lidlstHeader = [
        {
            title: <Label itext="信用证编号" />,
            dataIndex: "ownref",
            key: "ownref",
            width: 100,
            sorter: (r1, r2) => ColSorter(r1.ownref, r2.ownref),
        },
        {
            title: <Label itext="概要描述" />,
            dataIndex: "nam",
            key: "nam",
            width: 260,
            sorter: (r1, r2) => ColSorter(r1.nam, r2.nam),
        },
        {
            title: <Label itext="开立日期" />,
            dataIndex: "opndat",
            key: "opndat",
            width: 90,
            sorter: (r1, r2) => ColSorter(r1.opndat, r2.opndat),
            render:(val)=>{
              if(val)
              return moment(val).format('YYYY-MM-DD')
            }
        },
        {
            title: <Label itext="开证类型" />,
            dataIndex: "lcrtyp",
            key: "lcrtyp",
            width: 100,
            sorter: (r1, r2) => ColSorter(r1.lcrtyp, r2.lcrtyp),
            render: (val, row, index) => {
                let text = val
                let em = CodeTable.lcrtyp.find(item => item.value == val)
                if (em)
                    text = em.label
                return text
            }
        },
        {
            title: <Label itext="失效日期" />,
            dataIndex: "clsdat",
            key: "clsdat",
            width: 80,
            sorter: (r1, r2) => ColSorter(r1.clsdat, r2.clsdat),
            render:(val)=>{
              if(val)
              return moment(val).format('YYYY-MM-DD')
            }
        },
        {
            title: <Label itext="兑付方式" />,
            dataIndex: "avbby",
            key: "avbby",
            width: 80,
            sorter: (r1, r2) => ColSorter(r1.avbby, r2.avbby),
            render: (val, row, index) => {
                let text = val
                let em = CodeTable.avbby.find(item => item.value == val)
                if (em)
                    text = em.label
                return text
            }
        },
        {
            title: <Label itext="效期(天)" />,
            dataIndex: "tenmaxday",
            key: "tenmaxday",
            width: 80,
            sorter: (r1, r2) => ColSorter(r1.tenmaxday, r2.tenmaxday),
        },
        {
            title: <Label itext="经办柜员" />,
            dataIndex: "ownusr",
            key: "ownusr",
            width: 100,
            sorter: (r1, r2) => ColSorter(r1.ownusr, r2.ownusr),
        },
    ]

    onSellst = async () => {
        this.formBlur = true  //已触发表单提交处理
        const rtnmsg = await Api.post('litsel/litmod_sel', { data: this.model })
        if (rtnmsg.retcod == SUCCESS) {
            this.model.litmod_lidlst = rtnmsg.data['litmod_lidlst'];

        }
        else {
            Notification.error({ message: '查询失败!' })
        }
        //余下逻辑处理

    }

    rowClass = (row, index)=>{
      //表格选中行变色
      if(this.props.flg == 5 &&  row.inr == this.state.selectedInr){
        return "selectedStyle"
      }
      //单双行样式
      if(index %2)
      {
        return "tableEvenStyle"
      }
      return "tableOddStyle"
    }

    //交易内实现
    renderPage() {
        const bind = this.bind
        return (
            <div style={{ position: 'relative' }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} extra={this.props.extra} model={this.model} />
                {/* 第一行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={4} >
                                <Label itext="信用证编号" trn="litsel" />
                            </Col>
                            <Col span={6} >
                                <InputItem InputProps={{...bind("litmod_ownref"),onPressEnter:this.onSellst}} maxLength={16} desp="信用证编号" path="/litmod/ownref" />
                            </Col>


                            <Col span={6} offset={2}>
                                <Button type="primary" icon="search" size="small" onClick={this.onSellst}  desp="查询" path="/litmod/sel">
                                    <Label itext="查询" />
                                </Button>
                            </Col>
                        </Row>
                    </Col>

                </Row>
                <Row style={{ marginTop: 30 }}>
                    <Col span={24} >
                        <Table  
                          rowKey="inr"  size="middle"
                          onRow={ row=>({onClick:()=>this.onSelcon(row.inr)}) } 
                          columns={this.litmod_lidlstHeader} 
                          dataSource={this.model.litmod_lidlst}
                          rowClassName={this.rowClass}
                        />
                    </Col>
                </Row>
                {this.props.flg=="1"?
                <div style={{ textAlign: "center", marginTop: 30 }}>
						<Button style={{ marginLeft: 10, marginRight: 10 }} disabled={this.model.inr=="0"?true:false}type="primary" size="small" onClick={()=>{this.link("litame")}}>
                        <Label itext="信用证修改" />
                    </Button> 
                    <Button style={{ marginLeft: 10, marginRight: 10 }} disabled={this.model.inr=="0"?true:false}type="primary" size="small" onClick={()=>{this.link("litadd")}}>
                         <Label itext="编号修改" />
                    </Button>
                    <Button style={{ marginLeft: 10, marginRight: 10 }} disabled={this.model.inr=="0"?true:false}type="primary" size="small" onClick={()=>{this.link("litatt")}}>
                        <Label itext="报文绑定" />
                    </Button>
                    <Button style={{ marginLeft: 10, marginRight: 10 }} disabled={this.model.inr=="0"?true:false}type="primary" size="small" onClick={()=>{this.link("litdav")}}>
                        <Label itext="单据通知" />
                    </Button>
					<Button style={{ marginLeft: 10, marginRight: 10 }} disabled={this.model.inr=="0"?true:false}type="primary" size="small" onClick={()=>{this.link("litdla")}}>
                        <Label itext="修改接受" />
                    </Button>
					<Button style={{ marginLeft: 10, marginRight: 10 }} disabled={this.model.inr=="0"?true:false}type="primary" size="small" onClick={()=>{this.link("liteng")}}>
                        <Label itext="保证金调整" />
                    </Button>
                    <Button style={{ marginLeft: 10, marginRight: 10 }} disabled={this.model.inr=="0"?true:false}type="primary" size="small" onClick={()=>{this.link("litfee")}}>
                        <Label itext="收费" />
                    </Button>
					<Button style={{ marginLeft: 10, marginRight: 10 }} disabled={this.model.inr=="0"?true:false} type="primary" size="small" onClick={()=>{this.link("litrog")}}>
                        <Label itext="提货担保" />
                    </Button>
                    <Button style={{ marginLeft: 10, marginRight: 10 }} disabled={this.model.inr=="0"?true:false} type="primary" size="small" onClick={()=>{this.link("litfre")}}>
                        <Label itext="自由报文" />
                    </Button>
                </div>
                :null
        }
            </div >
        )
    }
}
