import React, { Component, Fragment } from 'react'
import {
    Page, Validator, Notification, FormItem,
    InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps, CheckboxItem, TextAreaItem
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Tooltip, Modal, Spin, Table,Divider } from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta1 from '@/views/Public/Ptspta1'
import Business from '@/views/Public/Business'
import moment from 'moment'
import mLitsel from '../model'
const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class JieshouhuiScreen extends Page {
    @observable
    formBlur = false

    constructor(props) {
        super(props)
        this.model = new mLitsel()
        this.bind = Bind.bind(this)
        this.model.litmod_selflg = props.flg
        this.state={
          selectedInr:""
        }
    }

    componentDidMount() {
        
        super.componentDidMount()
        if (this.props.flg == "0") {
            this.litmod_lidlstHeader.push(
                {
                    title: <Label itext="操作" />,
                    width: 60,
                    key: "operation",
                    render: (val, row, index) => {
                        return (
                            <div>
                                <a onClick={()=>{this.link('fcyame',row.inr)}}>修改</a>
                                <Divider type="vertical" /> 
                                <a onClick={()=>{this.link('fcydel',row.inr)}}>删除</a>   
                            </div>
                          
                        )
                    }

                }

            )
        }
        else if (this.props.flg == "2") {
            this.litmod_lidlstHeader.push(
                {
                    title: <Label itext="操作" />,
                    width: 60,
                    key: "operation",
                    render: (val, row, index) => {
                        return (
                            <div>
                                <a onClick={()=>{this.link('lcyame',row.inr)}}>修改</a>
                                <Divider type="vertical" /> 
                                <a onClick={()=>{this.link('lcydel',row.inr)}}>删除</a>   
                            </div>
                        )
                    }

                })
        }
    }

    onTabFocus(){
      this.setState({selectedInr:""}) //切换页签时重置行选中样式
    }

    //交易跳转函数，若参数inr存在，则赋值给this.lidinr，此时为闭卷或者到单，不存在则为信用证其他
    //调用后台查询是否符合跳转前提（前手交易是否复核），根据返回值决定是否带参跳转至pathname交易
    async link(pathname, inr){
      if(inr){
        this.lidinr = inr
      }
      const rtnmsg = await Api.post('litsel/cfgfil_isnext', { data: this.model, params: { objinr:this.lidinr, objtyp:"lid"} })
      if (rtnmsg.retcod == SUCCESS) {
        this.props.history.push({ pathname, query: { lidinr:this.lidinr} });
      }else{
        Notification.error({ message: `${rtnmsg.retmsg}` })
      }
    }

	async onSelcon(lidinr){
        this.formBlur=true  //已触发表单提交处理
        this.setState({selectedInr:lidinr}) //获取选中行的inr,用于改变选中行样式
        this.lidinr=lidinr;
        this.model.inr=lidinr;
    }

    litmod_lidlstHeader = [
        {
            title: <Label itext="业务参考号" />,
            dataIndex: "refno",
            key: "refno",
            width: 100,
            sorter: (r1, r2) => ColSorter(r1.refno, r2.refno),
        },
        {
            title: <Label itext="银行自身流水号" />,
            dataIndex: "baksrinum",
            key: "baksrinum",
            width: 100,
            sorter: (r1, r2) => ColSorter(r1.baksrinum, r2.baksrinum),
        },
        {
            title: <Label itext="业务类型" />,
            dataIndex: "biztypecod",
            key: "biztypecod",
            width: 90,
            sorter: (r1, r2) => ColSorter(r1.biztypecod, r2.biztypecod),
        },
        {
            title: <Label itext="证件号码" />,
            dataIndex: "idcode",
            key: "idcode",
            width: 100,
            sorter: (r1, r2) => ColSorter(r1.idcode, r2.idcode),
        },
        {
            title: <Label itext="国家地区代码" />,
            dataIndex: "ctycod",
            key: "ctycod",
            width: 100,
            sorter: (r1, r2) => ColSorter(r1.ctycod, r2.ctycod),
        },
        {
            title: <Label itext="补充证件号码" />,
            dataIndex: "addidcode",
            key: "addidcode",
            width: 100,
            sorter: (r1, r2) => ColSorter(r1.addidcode, r2.addidcode),
        },
    ]

    onSellst = async () => {
        this.formBlur = true  //已触发表单提交处理
        const rtnmsg = await Api.post('litsel/litmod_sel', { data: this.model })
        if (rtnmsg.retcod == SUCCESS) {
            this.model.litmod_lidlst = rtnmsg.data['litmod_lidlst'];

        }
        else {
            Notification.error({ message: '查询失败!' })
        }
        //余下逻辑处理

    }

    rowClass = (row, index)=>{
      //表格选中行变色
      if(this.props.flg == 5 &&  row.inr == this.state.selectedInr){
        return "selectedStyle"
      }
      //单双行样式
      if(index %2)
      {
        return "tableEvenStyle"
      }
      return "tableOddStyle"
    }

    //交易内实现
    renderPage() {
        const bind = this.bind
        return (
            <div style={{ position: 'relative' }}>
                {/* 第一行 */}
                <Row>
                    <Col span={24}>
                        <Row className="row">
                            <Col span={2} >
                                <Label itext="业务参考号" trn="pcysel" />
                            </Col>
                            <Col span={4} >
                                <InputItem InputProps={{...bind("refno")}} maxLength={16}  />
                            </Col>
                            <Col span={2}  offset={1}>
                                <Label itext="证件类型" trn="pcysel" />
                            </Col>
                            <Col span={4} >
                                <InputItem InputProps={{...bind("idtypecod")}} maxLength={16}  />
                            </Col>
                            <Col span={2} offset={1}>
                                <Label itext="证件号码" trn="pcysel" />
                            </Col>
                            <Col span={4} >
                                <InputItem InputProps={{...bind("idcode")}} maxLength={16}  />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={24}>
                        <Row className="row">
                            <Col span={2}>
                                <Label itext="国家 地区" trn="pcysel" />
                            </Col>
                            <Col span={4} >
                                <InputItem InputProps={{...bind("ctycod")}} maxLength={16}  />
                            </Col>
                            <Col span={2}  offset={1}>
                                <Label itext="业务办理日期" trn="pcysel" />
                            </Col>
                            <Col span={4} >
                                <InputItem InputProps={{...bind("biztxtime")}} maxLength={16}  />
                            </Col>
                            <Col span={2} offset={8}>
                                <Button type="primary" icon="search" size="small" onClick={this.onSellst}  desp="查询" >
                                    <Label itext="查询" />
                                </Button>
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row style={{ marginTop: 30 }}>
                    <Col span={24} >
                        <Table  
                          rowKey="inr"  size="middle"
                          onRow={ row=>({onClick:()=>this.onSelcon(row.inr)}) } 
                          columns={this.litmod_lidlstHeader} 
                          dataSource={this.model.litmod_lidlst}
                          rowClassName={this.rowClass}
                        />
                    </Col>
                </Row>
            </div >
        )
    }
}
